(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      6115,        202]*)
(*NotebookOutlinePosition[      6784,        226]*)
(*  CellTagsIndexPosition[      6740,        222]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["P\[ADoubleDot]\[ADoubleDot]sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell[CellGroupData[{

Cell["3. Ohjelmoitavuus", "Subtitle"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "lla voidaan ohjelmoimalla automatisoida laskentarutiineja. Alla on \
muutamia funktioita, jotka ovat k\[ADoubleDot]tevi\[ADoubleDot] \
ohjelmoitaessa."
}], "Text",
  FontSize->14],

Cell[CellGroupData[{

Cell["Module-lause", "Section"],

Cell["\<\
Olkoon meill\[ADoubleDot] seuraava komentosarja, joka laskee \
annettujen numeroiden keskiarvon. Parametrina annetaan numerolista. \
\>", 
  "Text",
  FontSize->14],

Cell[BoxData[
    \(kar[l_] := 
      Module[{s, k}, \n\t\tp = Length[l]; \n\t\ 
        s = Sum[l[\([i]\)], {i, 1, p}]; \n\t\tk = s/p\n\t\t]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(kar[{1, 2, 3}]\)], "Input",
  FontSize->14],

Cell[TextData[{
  StyleBox["\n", "Input"],
  " ",
  StyleBox["Module[{},",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " proseduuri",
  StyleBox["1; proseduuri2;..",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "m\[ADoubleDot]\[ADoubleDot]rittelee proseduurin, jossa voi olla ",
  StyleBox["paikallisia muuttujia",
    FontWeight->"Bold"],
  " kaarisulkujen sis\[ADoubleDot]\[ADoubleDot]n lueteltuna. T\[ADoubleDot]st\
\[ADoubleDot] on se etu etteiv\[ADoubleDot]t eri kontekstissa olevat \
muuttujat sotkeudu toisiinsa. ",
  StyleBox["Paikalliset muuttujat ",
    FontWeight->"Bold"],
  "eiv\[ADoubleDot]t n\[ADoubleDot]y ulkopuolelle eiv\[ADoubleDot]tk\
\[ADoubleDot] n\[ADoubleDot]in ollen vaikuta vaikka muualla \
k\[ADoubleDot]ytett\[ADoubleDot]isiin samannimisi\[ADoubleDot] muuttujia."
}], "Text",
  FontSize->14]
}, Open  ]],

Cell[CellGroupData[{

Cell["For-lause", "Section"],

Cell[TextData[{
  "Mathematicassa For-lause kirjoitetaan muodossa ",
  StyleBox["For[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["alkuasetus, jatkamisehto, eteneminen, toistettava lause",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".",
  StyleBox["\n", "Input"],
  "T\[ADoubleDot]m\[ADoubleDot] funktio suorittaa toistettavaa lausetta \
(mahdollisesti muuttuvin parametrein) , kunnes jatkamisehto ei \
en\[ADoubleDot]\[ADoubleDot] ole voimassa."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(For[i = 1, i < 4, \(i++\), Print[i]]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(For[k = 0, k < 9, k += 2, Print[k + 1]]\)], "Input",
  FontSize->14]
}, Open  ]],

Cell[CellGroupData[{

Cell["If-lause", "Section"],

Cell[TextData[{
  "If-lauseen perusmuoto on ",
  StyleBox["If[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["testi, lause1, lause2, lause3",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Jos testi on tosi suoritetaan lause1, jos testi ei ole tosi, suoritetaan \
lause2, jos testin todenmukaisuutta ei tunneta suoritetaan lause3. Mik\
\[ADoubleDot]li testi on aina tosi tai ep\[ADoubleDot]tosi ei lausetta 3 \
tarvitse kirjoittaa."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(If[2 < 3, Print["\<tosi\>"], Print["\<ep\[ADoubleDot]tosi\>"]]\)], 
  "Input",
  FontSize->14]
}, Open  ]],

Cell[CellGroupData[{

Cell["m-tiedosto", "Section"],

Cell[TextData[{
  "Ajettaessa useita k\[ADoubleDot]skyj\[ADoubleDot] toisensa \
j\[ADoubleDot]lkeen, alkaa muistikirja t\[ADoubleDot]ytty\[ADoubleDot] \
komennoista. Siistimp\[ADoubleDot]\[ADoubleDot] \
j\[ADoubleDot]lke\[ADoubleDot] saadaan, kun tallennetaan komennot \
puolipilkuilla erotettuna m-tiedostoksi. T\[ADoubleDot]m\[ADoubleDot] k\
\[ADoubleDot]y siten, ett\[ADoubleDot] k\[ADoubleDot]ynnistet\[ADoubleDot]\
\[ADoubleDot]n jokin tekstieditori  ja esim. hiirell\[ADoubleDot] kopioidaan \
k\[ADoubleDot]skyt tekstitiedostoon. Tiedostolle annetaan  nimeksi jotakin.m. \
Tiedosto ajetaan eli komennot annetaan ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "lle suoritettaviksi lataamalla tiedosto muistikirjassa seuraavaan tapaan.\n\
",
  StyleBox["<</home/tunnukseni/hakemistoni/tiedostoni.m",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "\n"
}], "Text",
  FontSize->14]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
WindowSize->{732, 600},
WindowMargins->{{Automatic, 134}, {Automatic, 41}},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 228, 5, 58, "Subsubtitle"],

Cell[CellGroupData[{
Cell[1962, 58, 37, 0, 64, "Subtitle"],
Cell[2002, 60, 250, 7, 52, "Text"],

Cell[CellGroupData[{
Cell[2277, 71, 31, 0, 55, "Section"],
Cell[2311, 73, 174, 5, 52, "Text"],
Cell[2488, 80, 170, 4, 121, "Input"],
Cell[2661, 86, 63, 2, 45, "Input"],
Cell[2727, 90, 881, 24, 90, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3645, 119, 28, 0, 55, "Section"],
Cell[3676, 121, 548, 16, 71, "Text"],
Cell[4227, 139, 85, 2, 45, "Input"],
Cell[4315, 143, 88, 2, 45, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4440, 150, 27, 0, 55, "Section"],
Cell[4470, 152, 531, 15, 71, "Text"],
Cell[5004, 169, 114, 3, 45, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5155, 177, 29, 0, 55, "Section"],
Cell[5187, 179, 900, 19, 128, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

