(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     18120,        791]*)
(*NotebookOutlinePosition[     22234,        910]*)
(*  CellTagsIndexPosition[     22079,        901]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["P\[ADoubleDot]\[ADoubleDot]sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell["2.1 Algebralliset sievennykset", "Subtitle"],

Cell[CellGroupData[{

Cell["Lausekkeiden manipulointi", "Section"],

Cell[CellGroupData[{

Cell["Numeerinen esitys", "Subsubtitle"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " pyrkii laskennassa s\[ADoubleDot]ilytt\[ADoubleDot]m\[ADoubleDot]\
\[ADoubleDot]n suurimman mahdollisimman tarkkuuden. T\[ADoubleDot]m\
\[ADoubleDot]n vuoksi ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " k\[ADoubleDot]sittelee lausekkeita symbolisessa muodossa \
py\[ODoubleDot]rist\[ADoubleDot]m\[ADoubleDot]tt\[ADoubleDot] niit\
\[ADoubleDot] likiarvoiksi. Jos sy\[ODoubleDot]tetty lauseke \
sis\[ADoubleDot]lt\[ADoubleDot]\[ADoubleDot] vain tarkkoja arvoja, kuten \
kokonaislukuja, murtolukuja, tai vakioita symbolisessa muodossa ( E, Pi...), \
saadaan tuloskin t\[ADoubleDot]sm\[ADoubleDot]llisess\[ADoubleDot] muodossa."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(2/3 + Sqrt[5] - E\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Desimaaliluvut ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " tulkitsee likiarvoiksi. Kun sy\[ODoubleDot]tteess\[ADoubleDot] on \
desimaalilukuja tulos saadaan likiarvoina. Symbolisessa muodossa esitetyt \
luvut saadaan numeerisiksi komennolla ",
  StyleBox["N[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["luku",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(2.1/3 + 5/1.2*Sqrt[7] + Pi\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Pi\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(N[Pi]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(TextForm
    \`\(\@7\) : 
      n\ likiarvo\ kahdenkymmenen\ desimaalin\ \(tarkkuudella : \)\)], "Text",\

  FontSize->14],

Cell[BoxData[
    \(N[Sqrt[7], 20]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Polynomit", "Subsubtitle",
  CellTags->"factor"],

Cell["Olkoon polynomi p1 seuraavanlainen:", "Text",
  FontSize->14,
  CellTags->"factor"],

Cell[BoxData[
    \(p1 = \((x + 2)\)^4\)], "Input",
  FontSize->14,
  CellTags->"factor"],

Cell["\<\
Kun halutaan tiet\[ADoubleDot]\[ADoubleDot], mik\[ADoubleDot] arvo \
sijoitettiin muuttujaan p1, evaluoidaan p1.\
\>", "Text",
  FontSize->14,
  CellTags->"factor"],

Cell[BoxData[
    \(p1\)], "Input",
  FontSize->14,
  CellTags->"factor"],

Cell[TextData[{
  "Polynomi voidaan kertoa auki komennolla ",
  StyleBox["Expand[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["polynomi",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". "
}], "Text",
  FontSize->14,
  CellTags->"factor"],

Cell[BoxData[
    \(p2 = Expand[p1]\)], "Input",
  FontSize->14,
  CellTags->"factor"],

Cell[TextData[{
  "Saatetaan edellinen takaisin tulomuotoon komennolla ",
  StyleBox["Factor[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["polynomi ",
    FontSlant->"Italic"],
  StyleBox["]",
    FontWeight->"Bold"],
  " ."
}], "Text",
  FontSize->14,
  CellTags->"factor"],

Cell[BoxData[
    \(Factor[p2]\)], "Input",
  FontSize->14,
  CellTags->"factor"],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Expand",
    ButtonStyle->"MainBookLink"],
  " ja ",
  ButtonBox["Factor",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Murtolausekkeet ja sievennys", "Subsubtitle",
  CellTags->{"sievennys", "murto"}],

Cell["Olkoon polynomit p1, p2 ja p3 seuraavanlaiset :", "Text",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[BoxData[
    \(p1 = \((x + 2)\)^4; \np2 = \((x - 3)\)*\((x + 3)\); \n
    p3 = \((\(-6\)*y\  - \ x*y\  + \ 6*x^2*y\  + \ x^3*y\  + \ 3*y^2\  - \ 
            3*x^2*y^2)\)/
        \((\(-8\)*x\  + \ 8*x^3\  - \ x*y^2\  + \ x^3*y^2)\); \)], "Input",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[TextData[{
  "Sievennet\[ADoubleDot]\[ADoubleDot]n lauseketta p3, k\[ADoubleDot]ytt\
\[ADoubleDot]en komentoa ",
  StyleBox["Simplify[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".Funktio Simplify suorittaa joukon algebrallisia muunnoksia (Expand, \
Factor ...) lausekkeelle ja palauttaa niist\[ADoubleDot] yksinkertaisimman."
}], "Text",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[BoxData[
    \(Simplify[p3]\)], "Input",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell["\<\
M\[ADoubleDot]\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n \
rationaalilauseke R polynomien p1 ja p2 osam\[ADoubleDot]\[ADoubleDot]r\
\[ADoubleDot]n\[ADoubleDot].\
\>", "Text",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[BoxData[
    \(R = p1/p2\)], "Input",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[TextData[{
  "Murtolausekkeen osoittajaan viitataan komennolla ",
  StyleBox["Numerator[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "ja nimitt\[ADoubleDot]j\[ADoubleDot]\[ADoubleDot]n komennolla ",
  StyleBox["Denominator[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[BoxData[
    \(Numerator[R]\)], "Input",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[BoxData[
    \(Denominator[R]\)], "Input",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell["\<\
Murtolauseketta voidaan nyt muokata n\[ADoubleDot]iden komentojen \
avulla:\
\>", "Text",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[BoxData[
    \(Expand[Numerator[R]]/Factor[Denominator[R]]\)], "Input",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[BoxData[
    \(Factor[Numerator[R]]/Expand[Denominator[R]]\)], "Input",
  FontSize->14,
  CellTags->{"sievennys", "murto"}],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Numerator",
    ButtonStyle->"MainBookLink"],
  " ja ",
  ButtonBox["Denominator",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Termien j\[ADoubleDot]rjest\[ADoubleDot]minen", "Subsubtitle"],

Cell["M\[ADoubleDot]\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n \
seuraavanlainen lauseke p1:", "Text",
  FontSize->14],

Cell[BoxData[
    \(p1 = 2\ x^2\ y^2 - 3\ x^3\ y\ Cos[x] + y^4\ x + x\ y\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Komennolla ",
  StyleBox["Collect[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke,x",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "ker\[ADoubleDot]t\[ADoubleDot]\[ADoubleDot]n yhteen termit ,joilla on \
kertoimena yht\[ADoubleDot]suuret x:n potenssit."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Collect[p1, x]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Osamurtohajotelma", "Subsubtitle"],

Cell["Olkoon murtolauseke f1 seuraavanlainen:", "Text",
  FontSize->14],

Cell[BoxData[
    \(f1 = \((5\ x^2 - 4\ x + 8)\)/\((x^3 - 2\ x^2 + 4\ x - 3)\)\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Komennolla ",
  StyleBox["Apart[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", suoritetaan polynomien jakolasku ja sievennys siten, ett\[ADoubleDot] \
lausekkeiden osoittajat ovat mahdollisimman yksinkertaiset."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Apart[f1, x]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Apart",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Esitysmuodon vaihto (Trigonometrinen muoto ja \
Eksponenttimuoto)\
\>", "Subsubtitle"],

Cell["\<\
Muutetaan sinifunktio sek\[ADoubleDot] hyperbolinen kosinifunktio \
eksponenttimuotoon ja takaisin. \
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \(esin = TrigToExp[Sin[x]]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ecosh = TrigToExp[Cosh[x]]\)], "Input",
  FontSize->14],

Cell[TextData[{
  " ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "n imaginaariyksikk\[ODoubleDot] on I tai \[ImaginaryI]."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ExpToTrig[esin]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ExpToTrig[ecosh]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Trigonometriset funktiot voidaan my\[ODoubleDot]s esitt\[ADoubleDot]\
\[ADoubleDot] ",
  ButtonBox["sarjakehitelm\[ADoubleDot]n\[ADoubleDot].",
    ButtonData:>{"diffint.nb", "sarjat"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Kerrointen poimiminen", "Subsubtitle",
  CellTags->"kertoimet"],

Cell["Olkoon p1 nelj\[ADoubleDot]nnen asteen polynomi:", "Text",
  FontSize->14,
  CellTags->"kertoimet"],

Cell[BoxData[
    \(p1 = x^4 + 8\ x^3 + 24\ x^2 + 32\ x + 16\)], "Input",
  FontSize->14,
  CellTags->"kertoimet"],

Cell[TextData[{
  "Polynomista voidaan poimia kunkin x:n potenssin kertoimet  komennolla ",
  StyleBox["Coefficient[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["polynomi, x^k",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". "
}], "Text",
  FontSize->14,
  CellTags->"kertoimet"],

Cell[BoxData[
    \(Coefficient[p1, x^3]\)], "Input",
  FontSize->14,
  CellTags->"kertoimet"],

Cell[TextData[{
  "Komento ",
  StyleBox["CoefficientList[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["polynomi, x",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " muodostaa listan polynomin kertoimista muuttujan x suhteen, aloittaen x:n \
potenssista 0,1,..."
}], "Text",
  FontSize->14,
  CellTags->"kertoimet"],

Cell[BoxData[
    \(CoefficientList[p1, x]\)], "Input",
  FontSize->14,
  CellTags->"kertoimet"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alkeisfunktiot", "Section"],

Cell[CellGroupData[{

Cell["Itseisarvofunktio", "Subsubtitle"],

Cell[TextData[{
  "Reaali- tai kompleksilukuarvoisen lausekkeen itseisarvo saadaan komennolla \
",
  StyleBox["Abs[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Abs[x^2 - 5]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Abs[\(-3\)/4]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Abs[4 - 3  I]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Neli\[ODoubleDot]juuri", "Subsubtitle"],

Cell[TextData[{
  "lausekkeen neli\[ODoubleDot]juuri saadaan komennolla ",
  StyleBox["Sqrt[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Sqrt[x^2 + 1]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(TextForm
    \`Muut\ juurilausekkeet\ ilmaistaan\ 
        \(murtopotenssina\( : \^\(\ \ \ n\)\)\@x\)\ \  = \ 
      \(\((\ x\ )\)\^\(1\/n\)\ \  . \)\)], "Text",
  FontSize->14],

Cell[BoxData[
    \(\((x^2 + 1)\)^\((1/2)\)\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(\((x^2 + 1)\)^\((1/3)\)\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Potenssifunktio", "Subsubtitle"],

Cell[TextData[{
  "Potenssifunktio kirjoitetaan  j\[ADoubleDot]rjestyksess\[ADoubleDot] ",
  StyleBox["kantaluku",
    FontWeight->"Bold"],
  ", ",
  StyleBox["\[Wedge]-painike",
    FontWeight->"Bold"],
  ", ",
  StyleBox["eksponentti",
    FontWeight->"Bold"],
  ".\nMuista huomioida sulkeet ! "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(2^x\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(3^\((x^\(-3\)*x + 1)\)\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Eksponenttifunktio", "Subsubtitle"],

Cell[TextData[{
  "Lausekkeen eksponenttifunktio saadaan komennolla ",
  StyleBox["Exp[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontWeight->"Bold"],
  ".\nEksponenttifunktiossa kantalukuna on  Neperin luku  (",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa  E )ja eksponenttina hakasulkeisiin kirjoitettava lauseke.\t\t"
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Exp[3\ x^2 - Cos[2\ x]]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Trigonometriset funktiot", "Subsubtitle"],

Cell[TextData[{
  "Trigonometriset funktiot lausekkeista saadaan komennoilla ",
  StyleBox["Cos[],Sin[],Tan[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["Cot[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". \nMuista isot alkukirjaimet !"
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Sin[Pi/3]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Cos[2\ x + 1]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Tan[5\ x^2 - 3\ x + 2]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Cot[Pi/4]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Arcusfunktiot", "Subsubtitle"],

Cell[TextData[{
  "Trigonometristen funktioden k\[ADoubleDot]\[ADoubleDot]nteisfunktiot eli \
arcusfunktiot saadaan k\[ADoubleDot]skyin ",
  StyleBox["ArcCos[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", ",
  StyleBox["ArcSin[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["ArcTan[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ArcSin[1/Sqrt[2]]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ArcCos[1/Sqrt[2]]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ArcTan[Sqrt[5 - 2\ Sqrt[5]]]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ArcCos[x^2 - Exp[x^3 - 1]]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Logaritmifunktiot", "Subsubtitle"],

Cell[TextData[{
  "Logaritmifunktio lausekkeesta saadaan komennolla ",
  StyleBox["Log[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ",
  StyleBox["kantaluku, lauseke",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".\nJos kantalukua ei kirjoiteta ,saadaan  luonnollinen logaritmi, jonka \
kantalukuna on Neperin luku (",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa E). "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Log[3, 2\ x^2]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Log[E]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Hyperboliset funktiot", "Subsubtitle"],

Cell[TextData[{
  "Hyperboliset funktiot lausekkeista saadaan komennoilla ",
  StyleBox["Cosh[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", ",
  StyleBox["Sinh[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["Tanh[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Sinh[x]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Cosh[x^2 + 1]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Sinh[Log[5]]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Areafunktiot (hyperbolisten k\[ADoubleDot]\[ADoubleDot]nteisfunktiot)", 
  "Subsubtitle"],

Cell[TextData[{
  "Areafunktiot lausekkeista saadaan komennoin ",
  StyleBox["ArcSinh[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", ",
  StyleBox["ArcCosh[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", ",
  StyleBox["ArcTanh[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " jne..."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ArcSinh[x]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ArcCosh[1.3 + 3.4*I]\)], "Input",
  FontSize->14]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
CellGrouping->Manual,
WindowSize->{457, 844},
WindowMargins->{{Automatic, 81}, {Automatic, 25}},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "factor"->{
    Cell[3868, 132, 54, 1, 47, "Subsubtitle",
      CellTags->"factor"],
    Cell[3925, 135, 89, 2, 33, "Text",
      CellTags->"factor"],
    Cell[4017, 139, 89, 3, 45, "Input",
      CellTags->"factor"],
    Cell[4109, 144, 174, 5, 52, "Text",
      CellTags->"factor"],
    Cell[4286, 151, 73, 3, 45, "Input",
      CellTags->"factor"],
    Cell[4362, 156, 309, 13, 33, "Text",
      CellTags->"factor"],
    Cell[4674, 171, 86, 3, 45, "Input",
      CellTags->"factor"],
    Cell[4763, 176, 295, 12, 52, "Text",
      CellTags->"factor"],
    Cell[5061, 190, 81, 3, 45, "Input",
      CellTags->"factor"]},
  "sievennys"->{
    Cell[5365, 208, 87, 1, 47, "Subsubtitle",
      CellTags->{"sievennys", "murto"}],
    Cell[5455, 211, 115, 2, 33, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[5573, 215, 304, 6, 121, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[5880, 223, 524, 15, 90, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[6407, 240, 97, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[6507, 245, 240, 6, 33, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[6750, 253, 94, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[6847, 258, 597, 22, 71, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[7447, 282, 97, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[7547, 287, 99, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[7649, 292, 151, 5, 33, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[7803, 299, 128, 3, 64, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[7934, 304, 128, 3, 64, "Input",
      CellTags->{"sievennys", "murto"}]},
  "murto"->{
    Cell[5365, 208, 87, 1, 47, "Subsubtitle",
      CellTags->{"sievennys", "murto"}],
    Cell[5455, 211, 115, 2, 33, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[5573, 215, 304, 6, 121, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[5880, 223, 524, 15, 90, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[6407, 240, 97, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[6507, 245, 240, 6, 33, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[6750, 253, 94, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[6847, 258, 597, 22, 71, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[7447, 282, 97, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[7547, 287, 99, 3, 45, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[7649, 292, 151, 5, 33, "Text",
      CellTags->{"sievennys", "murto"}],
    Cell[7803, 299, 128, 3, 64, "Input",
      CellTags->{"sievennys", "murto"}],
    Cell[7934, 304, 128, 3, 64, "Input",
      CellTags->{"sievennys", "murto"}]},
  "kertoimet"->{
    Cell[10904, 439, 69, 1, 47, "Subsubtitle",
      CellTags->"kertoimet"],
    Cell[10976, 442, 105, 2, 33, "Text",
      CellTags->"kertoimet"],
    Cell[11084, 446, 114, 3, 45, "Input",
      CellTags->"kertoimet"],
    Cell[11201, 451, 352, 13, 52, "Text",
      CellTags->"kertoimet"],
    Cell[11556, 466, 94, 3, 45, "Input",
      CellTags->"kertoimet"],
    Cell[11653, 471, 386, 14, 71, "Text",
      CellTags->"kertoimet"],
    Cell[12042, 487, 96, 3, 45, "Input",
      CellTags->"kertoimet"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"factor", 18757, 809},
  {"sievennys", 19385, 828},
  {"murto", 20464, 855},
  {"kertoimet", 21547, 882}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 228, 5, 58, "Subsubtitle"],
Cell[1940, 56, 50, 0, 64, "Subtitle"],

Cell[CellGroupData[{
Cell[2015, 60, 44, 0, 55, "Section"],

Cell[CellGroupData[{
Cell[2084, 64, 40, 0, 58, "Subsubtitle"],
Cell[2127, 66, 738, 15, 128, "Text"],
Cell[2868, 83, 66, 2, 45, "Input"],
Cell[2937, 87, 494, 17, 71, "Text"],
Cell[3434, 106, 75, 2, 45, "Input"],
Cell[3512, 110, 51, 2, 45, "Input"],
Cell[3566, 114, 54, 2, 45, "Input"],
Cell[3623, 118, 142, 5, 40, "Text"],
Cell[3768, 125, 63, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3868, 132, 54, 1, 47, "Subsubtitle",
  CellTags->"factor"],
Cell[3925, 135, 89, 2, 33, "Text",
  CellTags->"factor"],
Cell[4017, 139, 89, 3, 45, "Input",
  CellTags->"factor"],
Cell[4109, 144, 174, 5, 52, "Text",
  CellTags->"factor"],
Cell[4286, 151, 73, 3, 45, "Input",
  CellTags->"factor"],
Cell[4362, 156, 309, 13, 33, "Text",
  CellTags->"factor"],
Cell[4674, 171, 86, 3, 45, "Input",
  CellTags->"factor"],
Cell[4763, 176, 295, 12, 52, "Text",
  CellTags->"factor"],
Cell[5061, 190, 81, 3, 45, "Input",
  CellTags->"factor"],
Cell[5145, 195, 183, 8, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5365, 208, 87, 1, 47, "Subsubtitle",
  CellTags->{"sievennys", "murto"}],
Cell[5455, 211, 115, 2, 33, "Text",
  CellTags->{"sievennys", "murto"}],
Cell[5573, 215, 304, 6, 121, "Input",
  CellTags->{"sievennys", "murto"}],
Cell[5880, 223, 524, 15, 90, "Text",
  CellTags->{"sievennys", "murto"}],
Cell[6407, 240, 97, 3, 45, "Input",
  CellTags->{"sievennys", "murto"}],
Cell[6507, 245, 240, 6, 33, "Text",
  CellTags->{"sievennys", "murto"}],
Cell[6750, 253, 94, 3, 45, "Input",
  CellTags->{"sievennys", "murto"}],
Cell[6847, 258, 597, 22, 71, "Text",
  CellTags->{"sievennys", "murto"}],
Cell[7447, 282, 97, 3, 45, "Input",
  CellTags->{"sievennys", "murto"}],
Cell[7547, 287, 99, 3, 45, "Input",
  CellTags->{"sievennys", "murto"}],
Cell[7649, 292, 151, 5, 33, "Text",
  CellTags->{"sievennys", "murto"}],
Cell[7803, 299, 128, 3, 64, "Input",
  CellTags->{"sievennys", "murto"}],
Cell[7934, 304, 128, 3, 64, "Input",
  CellTags->{"sievennys", "murto"}],
Cell[8065, 309, 191, 8, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[8293, 322, 68, 0, 47, "Subsubtitle"],
Cell[8364, 324, 122, 2, 33, "Text"],
Cell[8489, 328, 101, 2, 64, "Input"],
Cell[8593, 332, 379, 13, 52, "Text"],
Cell[8975, 347, 63, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[9075, 354, 40, 0, 47, "Subsubtitle"],
Cell[9118, 356, 71, 1, 33, "Text"],
Cell[9192, 359, 107, 2, 45, "Input"],
Cell[9302, 363, 387, 13, 71, "Text"],
Cell[9692, 378, 61, 2, 45, "Input"],
Cell[9756, 382, 116, 5, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[9909, 392, 96, 3, 70, "Subsubtitle"],
Cell[10008, 397, 140, 4, 52, "Text"],
Cell[10151, 403, 73, 2, 45, "Input"],
Cell[10227, 407, 75, 2, 45, "Input"],
Cell[10305, 411, 162, 6, 33, "Text"],
Cell[10470, 419, 64, 2, 45, "Input"],
Cell[10537, 423, 65, 2, 45, "Input"],
Cell[10605, 427, 262, 7, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[10904, 439, 69, 1, 47, "Subsubtitle",
  CellTags->"kertoimet"],
Cell[10976, 442, 105, 2, 33, "Text",
  CellTags->"kertoimet"],
Cell[11084, 446, 114, 3, 45, "Input",
  CellTags->"kertoimet"],
Cell[11201, 451, 352, 13, 52, "Text",
  CellTags->"kertoimet"],
Cell[11556, 466, 94, 3, 45, "Input",
  CellTags->"kertoimet"],
Cell[11653, 471, 386, 14, 71, "Text",
  CellTags->"kertoimet"],
Cell[12042, 487, 96, 3, 45, "Input",
  CellTags->"kertoimet"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[12187, 496, 33, 0, 35, "Section"],

Cell[CellGroupData[{
Cell[12245, 500, 40, 0, 58, "Subsubtitle"],
Cell[12288, 502, 319, 13, 52, "Text"],
Cell[12610, 517, 61, 2, 45, "Input"],
Cell[12674, 521, 62, 2, 45, "Input"],
Cell[12739, 525, 62, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[12838, 532, 45, 0, 47, "Subsubtitle"],
Cell[12886, 534, 297, 12, 33, "Text"],
Cell[13186, 548, 62, 2, 45, "Input"],
Cell[13251, 552, 197, 5, 40, "Text"],
Cell[13451, 559, 72, 2, 45, "Input"],
Cell[13526, 563, 72, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[13635, 570, 38, 0, 47, "Subsubtitle"],
Cell[13676, 572, 325, 12, 71, "Text"],
Cell[14004, 586, 52, 2, 45, "Input"],
Cell[14059, 590, 71, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[14167, 597, 41, 0, 47, "Subsubtitle"],
Cell[14211, 599, 444, 14, 71, "Text"],
Cell[14658, 615, 72, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[14767, 622, 47, 0, 47, "Subsubtitle"],
Cell[14817, 624, 309, 11, 71, "Text"],
Cell[15129, 637, 58, 2, 45, "Input"],
Cell[15190, 641, 62, 2, 45, "Input"],
Cell[15255, 645, 71, 2, 45, "Input"],
Cell[15329, 649, 58, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[15424, 656, 36, 0, 47, "Subsubtitle"],
Cell[15463, 658, 415, 16, 52, "Text"],
Cell[15881, 676, 66, 2, 45, "Input"],
Cell[15950, 680, 66, 2, 45, "Input"],
Cell[16019, 684, 77, 2, 45, "Input"],
Cell[16099, 688, 75, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[16211, 695, 40, 0, 47, "Subsubtitle"],
Cell[16254, 697, 477, 17, 90, "Text"],
Cell[16734, 716, 63, 2, 45, "Input"],
Cell[16800, 720, 55, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[16892, 727, 44, 0, 47, "Subsubtitle"],
Cell[16939, 729, 347, 15, 52, "Text"],
Cell[17289, 746, 56, 2, 45, "Input"],
Cell[17348, 750, 62, 2, 45, "Input"],
Cell[17413, 754, 61, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[17511, 761, 95, 1, 47, "Subsubtitle"],
Cell[17609, 764, 349, 15, 52, "Text"],
Cell[17961, 781, 59, 2, 45, "Input"],
Cell[18023, 785, 69, 2, 45, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

