(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     10756,        402]*)
(*NotebookOutlinePosition[     13604,        493]*)
(*  CellTagsIndexPosition[     13472,        485]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox[" P\[ADoubleDot]\[ADoubleDot]sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell["2.4 differentiaali- ja integraalilaskentaa", "Subtitle"],

Cell[CellGroupData[{

Cell["Derivointi", "Section",
  CellTags->"derivointi"],

Cell[TextData[{
  "Komennolla ",
  StyleBox["D[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f, muuttuja",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "lasketaan lausekkeiden derivaattoja ja osittaisderivaattoja. Komennon ",
  StyleBox["muuttuja",
    FontSlant->"Italic"],
  "-kohtaan laitetaan se muuttuja, jonka suhteen derivoidaan."
}], "Text",
  FontSize->14,
  CellTags->"derivointi"],

Cell[BoxData[
    \(funktio1 = x^2 + 5  x; \nD[funktio1, x]\)], "Input",
  FontSize->14,
  CellTags->"derivointi"],

Cell[BoxData[
    \(funktio2 = x\ y + y^3 - Log[y]; \nD[funktio2, y]\)], "Input",
  FontSize->14,
  CellTags->"derivointi"],

Cell[TextData[{
  "Funktion n:s derivaatta muuttujan x suhteen saadaan komennolla ",
  StyleBox["D[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f,",
    FontSlant->"Italic"],
  StyleBox["{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["x , n",
    FontSlant->"Italic"],
  StyleBox["}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " . Esimerkkin\[ADoubleDot] funktion toinen derivaatta muuttujan y \
suhteen:"
}], "Text",
  FontSize->14,
  CellTags->"derivointi"],

Cell[BoxData[
    \(funktio3 = y^3 + x^2\ y^2 - Sin[y]; \nD[funktio3, {y, 2}]\)], "Input",
  FontSize->14,
  CellTags->"derivointi"],

Cell["\<\
Funktioita, joiden lauseke on tuntematon, voidaan derivoida \
symbolisessa muodossa. \
\>", "Text",
  FontSize->14,
  CellTags->"derivointi"],

Cell[BoxData[
    \(D[2\ f[x]^3, x]\)], "Input",
  FontSize->14,
  CellTags->"derivointi"]
}, Closed]],

Cell[CellGroupData[{

Cell["Integrointi", "Section",
  CellTags->"integraali"],

Cell[TextData[{
  "Komento ",
  StyleBox["Integrate[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f,  x",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " laskee f:n integraalifunktion muuttujan x suhteen, muttei palauta \
integrointivakiota."
}], "Text",
  FontSize->14,
  CellTags->"integraali"],

Cell[BoxData[
    \(funk1 = 1 + 2\ x + 3\ x^2 + 4\ x^3; \nIntegrate[funk1, x]\)], "Input",
  FontSize->14,
  CellTags->"integraali"],

Cell["\<\
M\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot]tty integraali voidaan \
laskea lis\[ADoubleDot]\[ADoubleDot]m\[ADoubleDot]ll\[ADoubleDot] ala- ja yl\
\[ADoubleDot]rajat.\
\>", "Text",
  FontSize->14,
  CellTags->"integraali"],

Cell[BoxData[
    \(funk2 = ArcTan[x]; \nIntegrate[funk2, {x, 0, 4}]\)], "Input",
  FontSize->14,
  CellTags->"integraali"],

Cell[TextData[{
  "Numeerinen approksimaatio m\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot]tyn \
integraalin arvolle saadaan kuten edell\[ADoubleDot], mutta kirjoittamalla k\
\[ADoubleDot]skyn",
  StyleBox[" Integrate[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " sijaan ",
  StyleBox["NIntegrate[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14,
  CellTags->"integraali"],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Integrate",
    ButtonStyle->"MainBookLink"],
  " , ",
  ButtonBox["NIntegrate",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["  Sarjat", "Section",
  CellTags->"sarjat"],

Cell[TextData[{
  "Summia ja tuloja voidaan laskea komennoilla ",
  StyleBox["Sum",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["Product",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Summataan lauseke i:n arvoilla 1,...,n :"
}], "Text",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(Sum[3*i, {i, 1, 5}]\)], "Input",
  FontSize->14,
  CellTags->"sarjat"],

Cell["Kerrotaan  kesken\[ADoubleDot]\[ADoubleDot]n lausekkeet i:n arvoilla \
1,...,n :", "Text",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(Product[i, {i, 1, 5}]\)], "Input",
  FontSize->14,
  CellTags->"sarjat"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "lla voidaan laskea lausekkeiden Taylorin sarjakehitelmi\[ADoubleDot]. \
Funktiota approksimoidaan polynomilla pisteen x l\[ADoubleDot]heisyydess\
\[ADoubleDot] ja Taylorin sarjakehitelm\[ADoubleDot] antaa polynomin \
astelukuun n\[ADoubleDot]hden parhaan arvion funktiolle. Likim\[ADoubleDot]\
\[ADoubleDot]r\[ADoubleDot]isesti arvioitaessa pudotetaan j\[ADoubleDot]\
\[ADoubleDot]nn\[ODoubleDot]stermi (",
  Cell[BoxData[
      \(TraditionalForm\`O[x]\^\(n + 1\)\)]],
  ") pois. Ep\[ADoubleDot]jatkuvuuspisteiss\[ADoubleDot] , joissa funktio ei \
ole differentioituva ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " k\[ADoubleDot]ytt\[ADoubleDot]\[ADoubleDot] mm. Laurentin sarjakehitelm\
\[ADoubleDot]\[ADoubleDot]. (Esimerkiksi  ",
  Cell[BoxData[
      \(TraditionalForm\`e\^x\/\(x - 1\)\)]],
  ", pisteess\[ADoubleDot] x = 1). \.03Komennon peruskaava, jolla saadaan \
n-asteinen Taylorin sarjakehitelm\[ADoubleDot]  lausekkeesta f, muuttujan x \
suhteen, pisteess\[ADoubleDot] ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  " on  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["Series",
            FontFamily->"Courier",
            FontWeight->"Bold"], 
          StyleBox["[",
            FontFamily->"Courier",
            FontWeight->"Bold"], 
          RowBox[{"f", ",", 
            RowBox[{
              StyleBox["{",
                FontFamily->"Courier",
                FontWeight->"Bold"], \(x, x\_0\)}]}]}], TraditionalForm]]],
  ", ",
  StyleBox["n",
    FontSlant->"Italic"],
  StyleBox["}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(\(\ Series[Exp[x], {x, 4, 5}]\)\)], "Input",
  FontSize->14,
  CellTags->"sarjat"],

Cell[TextData[{
  "Komento ",
  StyleBox["Normal",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " leikkaa j\[ADoubleDot]\[ADoubleDot]nn\[ODoubleDot]stermin pois.\n\
Katsotaan mik\[ADoubleDot] on eksponenttifunktion Taylorin sarjakehitelm\
\[ADoubleDot]n arvo asteluvulla 6 pisteess\[ADoubleDot] x = 4.  Sijoitetaan \
x:n paikalle arvo 3 (joka on melko l\[ADoubleDot]hell\[ADoubleDot] pistett\
\[ADoubleDot] 4). Komento ",
  StyleBox["N[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["luku",
    FontSlant->"Italic"],
  StyleBox["] ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "antaa tuloksen desimaalilukuna:"
}], "Text",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(sarja = Normal[Series[Exp[x], {x, 4, 6}]]\)], "Input",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(v = sarja /. x -> 3\)], "Input",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(arvio = N[v]\)], "Input",
  FontSize->14,
  CellTags->"sarjat"],

Cell["Verrataan arvoa \"oikeampaan\" arvoon :", "Text",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(N[Exp[3]]\)], "Input",
  FontSize->14,
  CellTags->"sarjat"],

Cell["\<\
Jos lauseke on tuntematon tulostuu sarjakehitelm\[ADoubleDot] \
symbolisessa muodossa, kuten seuraavassa.\
\>", "Text",
  FontSize->14,
  CellTags->"sarjat"],

Cell[BoxData[
    \(Series[f[x], {x, 5, 3}]\)], "Input",
  FontSize->14,
  CellTags->"sarjat"]
}, Closed]],

Cell[CellGroupData[{

Cell["Raja-arvot", "Section"],

Cell[TextData[{
  "Lausekkeiden raja-arvoja voidaan laskea komennolla ",
  StyleBox["Limit",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Lasketaan lausekkeen raja-arvo muuttujan x suhteen, kun x \
l\[ADoubleDot]hestyy arvoa ",
  Cell[BoxData[
      \(TraditionalForm\`x\_0\)]],
  ". Komennon peruskaava on muotoa: ",
  StyleBox["Limit[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke,",
    FontSlant->"Italic"],
  " ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["x",
            FontFamily->"Courier",
            FontWeight->"Bold"], 
          StyleBox["->",
            FontFamily->"Courier",
            FontWeight->"Bold"], \(x\_0\)}], TraditionalForm]]],
  StyleBox["].",
    FontFamily->"Courier",
    FontWeight->"Bold"]
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Limit[Sin[x]/x, x -> 0]\)], "Input",
  FontSize->14],

Cell["\<\
Raja-arvokomennolle voidaan antaa my\[ODoubleDot]s \
l\[ADoubleDot]hestymissuunta  (-1, ylh\[ADoubleDot]\[ADoubleDot]lt\
\[ADoubleDot] ja 1 alhaalta  l\[ADoubleDot]hestytt\[ADoubleDot]ess\
\[ADoubleDot] ) toispuolisen raja-arvon laskemisen \
yhteydess\[ADoubleDot].\
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \(Limit[Tan[x], x -> Pi/2, Direction -> \(-1\)]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Limit[Tan[x], x -> Pi/2, Direction -> 1]\)], "Input",
  FontSize->14]
}, Closed]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 95}, {Automatic, 38}},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "derivointi"->{
    Cell[2028, 60, 55, 1, 55, "Section",
      CellTags->"derivointi"],
    Cell[2086, 63, 464, 16, 71, "Text",
      CellTags->"derivointi"],
    Cell[2553, 81, 114, 3, 64, "Input",
      CellTags->"derivointi"],
    Cell[2670, 86, 123, 3, 64, "Input",
      CellTags->"derivointi"],
    Cell[2796, 91, 514, 19, 52, "Text",
      CellTags->"derivointi"],
    Cell[3313, 112, 132, 3, 64, "Input",
      CellTags->"derivointi"],
    Cell[3448, 117, 151, 5, 52, "Text",
      CellTags->"derivointi"],
    Cell[3602, 124, 90, 3, 45, "Input",
      CellTags->"derivointi"]},
  "integraali"->{
    Cell[3729, 132, 56, 1, 35, "Section",
      CellTags->"integraali"],
    Cell[3788, 135, 367, 14, 52, "Text",
      CellTags->"integraali"],
    Cell[4158, 151, 132, 3, 64, "Input",
      CellTags->"integraali"],
    Cell[4293, 156, 229, 6, 33, "Text",
      CellTags->"integraali"],
    Cell[4525, 164, 123, 3, 64, "Input",
      CellTags->"integraali"],
    Cell[4651, 169, 421, 14, 52, "Text",
      CellTags->"integraali"]},
  "sarjat"->{
    Cell[5301, 198, 49, 1, 35, "Section",
      CellTags->"sarjat"],
    Cell[5353, 201, 316, 12, 52, "Text",
      CellTags->"sarjat"],
    Cell[5672, 215, 90, 3, 45, "Input",
      CellTags->"sarjat"],
    Cell[5765, 220, 134, 3, 33, "Text",
      CellTags->"sarjat"],
    Cell[5902, 225, 92, 3, 45, "Input",
      CellTags->"sarjat"],
    Cell[5997, 230, 1735, 48, 169, "Text",
      CellTags->"sarjat"],
    Cell[7735, 280, 102, 3, 45, "Input",
      CellTags->"sarjat"],
    Cell[7840, 285, 699, 21, 90, "Text",
      CellTags->"sarjat"],
    Cell[8542, 308, 112, 3, 45, "Input",
      CellTags->"sarjat"],
    Cell[8657, 313, 90, 3, 45, "Input",
      CellTags->"sarjat"],
    Cell[8750, 318, 83, 3, 45, "Input",
      CellTags->"sarjat"],
    Cell[8836, 323, 93, 2, 33, "Text",
      CellTags->"sarjat"],
    Cell[8932, 327, 80, 3, 45, "Input",
      CellTags->"sarjat"],
    Cell[9015, 332, 167, 5, 52, "Text",
      CellTags->"sarjat"],
    Cell[9185, 339, 94, 3, 45, "Input",
      CellTags->"sarjat"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"derivointi", 11397, 420},
  {"integraali", 11986, 437},
  {"sarjat", 12433, 450}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 229, 5, 58, "Subsubtitle"],
Cell[1941, 56, 62, 0, 64, "Subtitle"],

Cell[CellGroupData[{
Cell[2028, 60, 55, 1, 55, "Section",
  CellTags->"derivointi"],
Cell[2086, 63, 464, 16, 71, "Text",
  CellTags->"derivointi"],
Cell[2553, 81, 114, 3, 64, "Input",
  CellTags->"derivointi"],
Cell[2670, 86, 123, 3, 64, "Input",
  CellTags->"derivointi"],
Cell[2796, 91, 514, 19, 52, "Text",
  CellTags->"derivointi"],
Cell[3313, 112, 132, 3, 64, "Input",
  CellTags->"derivointi"],
Cell[3448, 117, 151, 5, 52, "Text",
  CellTags->"derivointi"],
Cell[3602, 124, 90, 3, 45, "Input",
  CellTags->"derivointi"]
}, Closed]],

Cell[CellGroupData[{
Cell[3729, 132, 56, 1, 35, "Section",
  CellTags->"integraali"],
Cell[3788, 135, 367, 14, 52, "Text",
  CellTags->"integraali"],
Cell[4158, 151, 132, 3, 64, "Input",
  CellTags->"integraali"],
Cell[4293, 156, 229, 6, 33, "Text",
  CellTags->"integraali"],
Cell[4525, 164, 123, 3, 64, "Input",
  CellTags->"integraali"],
Cell[4651, 169, 421, 14, 52, "Text",
  CellTags->"integraali"],
Cell[5075, 185, 189, 8, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5301, 198, 49, 1, 35, "Section",
  CellTags->"sarjat"],
Cell[5353, 201, 316, 12, 52, "Text",
  CellTags->"sarjat"],
Cell[5672, 215, 90, 3, 45, "Input",
  CellTags->"sarjat"],
Cell[5765, 220, 134, 3, 33, "Text",
  CellTags->"sarjat"],
Cell[5902, 225, 92, 3, 45, "Input",
  CellTags->"sarjat"],
Cell[5997, 230, 1735, 48, 169, "Text",
  CellTags->"sarjat"],
Cell[7735, 280, 102, 3, 45, "Input",
  CellTags->"sarjat"],
Cell[7840, 285, 699, 21, 90, "Text",
  CellTags->"sarjat"],
Cell[8542, 308, 112, 3, 45, "Input",
  CellTags->"sarjat"],
Cell[8657, 313, 90, 3, 45, "Input",
  CellTags->"sarjat"],
Cell[8750, 318, 83, 3, 45, "Input",
  CellTags->"sarjat"],
Cell[8836, 323, 93, 2, 33, "Text",
  CellTags->"sarjat"],
Cell[8932, 327, 80, 3, 45, "Input",
  CellTags->"sarjat"],
Cell[9015, 332, 167, 5, 52, "Text",
  CellTags->"sarjat"],
Cell[9185, 339, 94, 3, 45, "Input",
  CellTags->"sarjat"]
}, Closed]],

Cell[CellGroupData[{
Cell[9316, 347, 29, 0, 35, "Section"],
Cell[9348, 349, 820, 29, 71, "Text"],
Cell[10171, 380, 72, 2, 45, "Input"],
Cell[10246, 384, 305, 7, 52, "Text"],
Cell[10554, 393, 94, 2, 45, "Input"],
Cell[10651, 397, 89, 2, 45, "Input"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

