(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     10830,        354]*)
(*NotebookOutlinePosition[     11668,        383]*)
(*  CellTagsIndexPosition[     11624,        379]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["P\[ADoubleDot]\[ADoubleDot]sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell["2.5 Tavalliset differentiaaliyht\[ADoubleDot]l\[ODoubleDot]t", 
  "Subtitle"],

Cell[CellGroupData[{

Cell["Analyyttinen ratkaiseminen", "Section"],

Cell[CellGroupData[{

Cell["Yleinen ratkaisu", "Subsubtitle"],

Cell[TextData[{
  "M\[ADoubleDot]\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n toisen \
kertaluvun tavallinen differentiaaliyht\[ADoubleDot]l\[ODoubleDot], ja nimet\
\[ADoubleDot]\[ADoubleDot]n se dy1:ksi  (dy1: y''(x) - 2y'(x) + 3y(x) - 2x = \
0 ). Katso kohdasta ",
  ButtonBox["2.4 -Derivointi",
    ButtonData:>{"diffint.nb", "derivointi"},
    ButtonStyle->"Hyperlink"],
  ", kuinka derivaattoja merkit\[ADoubleDot]\[ADoubleDot]n. Ratkaistavana on \
x:n funktio y, joka toteuttaa yht\[ADoubleDot]l\[ODoubleDot]n dy1 = 0. \
Ratkaisemiseen k\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n funktiota ",
  StyleBox["DSolve",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", jolle annetaan ensimm\[ADoubleDot]iseksi argumentiksi differentiaaliyht\
\[ADoubleDot]l\[ODoubleDot] ja toiseksi ratkaistava funktio sek\[ADoubleDot] \
lopuksi funktion muuttuja."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(dy1 = D[y[x], {x, 2}] - 2*D[y[x], x] + 3*y[x] - 2*x == 0\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ratkaisu = DSolve[dy1, y[x], x]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Ratkaisu tulostuu nyt edell\[ADoubleDot] n\[ADoubleDot]kyv\[ADoubleDot]ss\
\[ADoubleDot]  muodossa, vaikka usein haluaisimme y(x):n suoraan ulos, jotta \
voimme sijoittaa sen edelleen. Saamme sen k\[ADoubleDot]ytt\[ADoubleDot]m\
\[ADoubleDot]ll\[ADoubleDot] sijoitusoperaatiota, josta oli tarkemmin \
kohdassa\n ",
  ButtonBox["1.-Lausekkeiden nime\[ADoubleDot]minen ja sijoitusoperaatiot.",
    ButtonData:>{"kaytopas.nb", "sijoitusoperaatiot"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(y[x] /. ratkaisu[\([1]\)]\)], "Input",
  FontSize->14],

Cell["\<\
Tuloksessa esiintyv\[ADoubleDot]t C[2] ja C[1] ovat vakioita, \
joiden ratkaisemiseksi tarvitaan alkuarvoehdot.\
\>", "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Alkuarvoteht\[ADoubleDot]v\[ADoubleDot]", "Subsubtitle"],

Cell[TextData[{
  "Olkoon dy1  toisen kertaluvun differentiaaliyht\[ADoubleDot]l\[ODoubleDot] \
: y''(x)-2y'(x)+3y(x)-2x=0. \nAlkuarvot kirjoitetaan muodossa ",
  StyleBox["y[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["x1",
    FontSlant->"Italic"],
  StyleBox["]==",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["z1",
    FontSlant->"Italic"],
  ",",
  StyleBox[" y'[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["x2",
    FontSlant->"Italic"],
  StyleBox["]==",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "1,  jne...  T\[ADoubleDot]ss\[ADoubleDot] esimerkiss\[ADoubleDot] \
alkuarvoehtoina olkoon yht\[ADoubleDot]l\[ODoubleDot]t y(0) = 1 ja y'(0) = 2. \
Siis kun x = 0, y saa arvon 1 ja y:n derivaatta x:n suhteen saa arvon 2. N\
\[ADoubleDot]m\[ADoubleDot] ehdot ilmaistaan ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "lle muodossa: ",
  StyleBox["y[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "0",
  StyleBox["]==",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "-1 ja ",
  StyleBox["y'[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "0",
  StyleBox["]==",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "2. Alkuarvoyht\[ADoubleDot]l\[ODoubleDot] lis\[ADoubleDot]t\[ADoubleDot]\
\[ADoubleDot]n differentiaaliyht\[ADoubleDot]l\[ODoubleDot]n kanssa samaan \
yht\[ADoubleDot]l\[ODoubleDot]listaan."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(dy1 = D[y[x], {x, 2}] - 2*D[y[x], x] + 3*y[x] - 2*x == 0\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(DSolve[{dy1, y[0] == \(-1\), \(y'\)[0] == 2}, y[x], x]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Ratkaisun graafinen esitt\[ADoubleDot]minen", "Subsubtitle"],

Cell["\<\
Ratkaistaan aluksi toisen kertaluvun \
differentiaaliyht\[ADoubleDot]l\[ODoubleDot] dy1.
dy1: y''(x) - 2 y'(x) + 3 y(x) - 2 x = 0 .\
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \(dy1 = D[y[x], {x, 2}] - 2*D[y[x], x] + 3*y[x] - 2*x == 0\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(ratkaisu = DSolve[dy1, y[x], x]\)], "Input",
  FontSize->14],

Cell["\<\
Sijoitetaan saatu ratkaisu funktion ratk1 arvoksi. Kaksoishakasissa \
oleva 1 tarkoittaa ratkaisun ensimm\[ADoubleDot]ist\[ADoubleDot] alkiota eli \
ratkaisua itse\[ADoubleDot]\[ADoubleDot]n ilman kaarisulkeita.\
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \(ratk1 = y[x] /. ratkaisu[\([1]\)]\)], "Input",
  FontSize->14],

Cell["\<\
Nyt voimme piirt\[ADoubleDot]\[ADoubleDot] funktion ratk1, antaen \
parametreille C[1] ja C[2] erilaisia arvoja. Annetaan C[1]:lle arvot {-1, \
-1/2, 0, 1/2, 1 } ja C[2]:lle arvot { -2, -1, 0, 1, 2 }.\
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \(\(kayrat = Table[ratk1 /. {C[1] -> k/2, C[2] -> k}, {k, \(-2\), 2}]\n
    \)\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Lista nimelt\[ADoubleDot] ",
  StyleBox["kayrat",
    FontWeight->"Bold"],
  " on niiden funktioiden luettelo, jotka piirret\[ADoubleDot]\[ADoubleDot]n \
seuraavalla komennolla. Jottei ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " luulisi termin ",
  StyleBox["Table",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " m\[ADoubleDot]\[ADoubleDot]rittelev\[ADoubleDot]n piirett\[ADoubleDot]vi\
\[ADoubleDot] funktioita vaan ymm\[ADoubleDot]rt\[ADoubleDot]isi, ett\
\[ADoubleDot] kyseess\[ADoubleDot] on lista piirrett\[ADoubleDot]vist\
\[ADoubleDot] funktioista, on ensin ",
  StyleBox["evaluoitava",
    FontWeight->"Bold"],
  " lista "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(\(Plot[Evaluate[kayrat], {x, \(-2\), 2}, PlotRange -> {\(-10\), 10}]\n
    \)\)], "Input",
  FontSize->14]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numeerinen ratkaiseminen", "Section"],

Cell[TextData[{
  "Olkoon meill\[ADoubleDot] ratkaistavana seuraavanlainen \
ensimm\[ADoubleDot]isen kertaluvun tavallinen differentiaaliyht\[ADoubleDot]l\
\[ODoubleDot]: 2 y(x) \[CenterDot] y' ",
  Cell[BoxData[
      \(TraditionalForm\`\((x\)\)]],
  ") - 1 = ",
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  " . Haluaisimme l\[ODoubleDot]yt\[ADoubleDot]\[ADoubleDot] y:n, joka on x:n \
funktio ja joka toteuttaa yht\[ADoubleDot]l\[ODoubleDot]n. ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa numeerisesti laskettuja ratkaisuja differentiaaliyht\[ADoubleDot]l\
\[ODoubleDot]ille v\[ADoubleDot]lill\[ADoubleDot] [xmin,xmax] saadaan \
komennolla ",
  StyleBox["NDSolve[{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["yht\[ADoubleDot]l\[ODoubleDot]t",
    FontSlant->"Italic"],
  ", ",
  StyleBox["alkuarvoehdot",
    FontSlant->"Italic"],
  ", ",
  StyleBox["ratkaistava funktio",
    FontSlant->"Italic"],
  ",",
  StyleBox["{x,xmin,xmax}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Annetaan seuraavassa esimerkiss\[ADoubleDot] muuttujalle dy2 arvoksi \
edell\[ADoubleDot] mainittu differentiaaliyht\[ADoubleDot]l\[ODoubleDot]."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(dy2 = 2*y[x]*\(y'\)[x] - 1 == x^2\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Ratkaistaan se numeerisesti v\[ADoubleDot]lill\[ADoubleDot] [1,3] \
antamalla ",
  StyleBox["NDSolve",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "-funktiolle argumenteiksi yht\[ADoubleDot]l\[ODoubleDot]t dy2 ja y(1) = 3, \
 kun tiedet\[ADoubleDot]\[ADoubleDot]n tai toivotaan, ett\[ADoubleDot] \
(muuten tuntematon) funktio y saa kohdassa x = 1 arvon 3. "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ratkaisu = NDSolve[{dy2, y[1] == 3}, y, {x, 1, 3}]\)], "Input",
  FontSize->14],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " antaa vastaukset interpolointifunktioina, joten selke\[ADoubleDot]n \
numeerisen vastauksen saamiseksi on viel\[ADoubleDot] annettava k.o. \
funktiolle se x:n arvo jossa ratkaisua haetaan. K\[ADoubleDot]ytet\
\[ADoubleDot]\[ADoubleDot]n sijoitusoperaatiota ",
  StyleBox["/.",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", jolla saamme ratkaisuja eri pisteiss\[ADoubleDot] ( esimerkit pisteiss\
\[ADoubleDot] 1.5 ja 1.9)."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(y[1.5] /. ratkaisu\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(y[1.9] /. ratkaisu\)], "Input",
  FontSize->14],

Cell["\<\
Ratkaisu voidaan piirt\[ADoubleDot]\[ADoubleDot] seuraavalla \
komennolla. Muuttujan vaihteluv\[ADoubleDot]lin tulee olla ratkaistavaksi \
annetun vaihteluv\[ADoubleDot]lin sis\[ADoubleDot]ll\[ADoubleDot].\
\>", 
  "Text",
  FontSize->14],

Cell[BoxData[
    \(Plot[Evaluate[y[x] /. ratkaisu], {x, 1, 3}]\)], "Input"],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["NDSolve",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 128}, {35, Automatic}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"PaperSize"->{597.562, 842.375},
"PaperOrientation"->"Portrait",
"Magnification"->1},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 228, 5, 58, "Subsubtitle"],
Cell[1940, 56, 83, 1, 64, "Subtitle"],

Cell[CellGroupData[{
Cell[2048, 61, 45, 0, 55, "Section"],

Cell[CellGroupData[{
Cell[2118, 65, 39, 0, 58, "Subsubtitle"],
Cell[2160, 67, 888, 18, 128, "Text"],
Cell[3051, 87, 105, 2, 83, "Input"],
Cell[3159, 91, 80, 2, 45, "Input"],
Cell[3242, 95, 523, 10, 90, "Text"],
Cell[3768, 107, 74, 2, 45, "Input"],
Cell[3845, 111, 151, 4, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[4033, 120, 62, 0, 47, "Subsubtitle"],
Cell[4098, 122, 1450, 48, 128, "Text"],
Cell[5551, 172, 105, 2, 83, "Input"],
Cell[5659, 176, 103, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[5799, 183, 66, 0, 47, "Subsubtitle"],
Cell[5868, 185, 171, 5, 52, "Text"],
Cell[6042, 192, 105, 2, 83, "Input"],
Cell[6150, 196, 80, 2, 45, "Input"],
Cell[6233, 200, 251, 5, 52, "Text"],
Cell[6487, 207, 82, 2, 45, "Input"],
Cell[6572, 211, 240, 5, 71, "Text"],
Cell[6815, 218, 125, 3, 83, "Input"],
Cell[6943, 223, 702, 20, 90, "Text"],
Cell[7648, 245, 126, 3, 83, "Input"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7823, 254, 43, 0, 35, "Section"],
Cell[7869, 256, 1214, 34, 147, "Text"],
Cell[9086, 292, 82, 2, 45, "Input"],
Cell[9171, 296, 414, 10, 71, "Text"],
Cell[9588, 308, 99, 2, 45, "Input"],
Cell[9690, 312, 533, 13, 90, "Text"],
Cell[10226, 327, 67, 2, 45, "Input"],
Cell[10296, 331, 67, 2, 45, "Input"],
Cell[10366, 335, 248, 6, 52, "Text"],
Cell[10617, 343, 76, 1, 43, "Input"],
Cell[10696, 346, 118, 5, 33, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

