(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     16273,        537]*)
(*NotebookOutlinePosition[     17500,        581]*)
(*  CellTagsIndexPosition[     17430,        575]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["P\[ADoubleDot]\[ADoubleDot]sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell["2.3 Graafiset esitykset", "Subtitle"],

Cell[CellGroupData[{

Cell["Yhden muuttujan funktion piirt\[ADoubleDot]minen", "Section",
  CellTags->"plot"],

Cell[TextData[{
  "Komennolla Plot voidaan kuvata yhden muuttujan funktioita koordinaatistoon \
. Komennon perusmuoto on ",
  StyleBox["Plot[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f,",
    FontSlant->"Italic"],
  StyleBox["{x,xmin,xmax}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " , miss\[ADoubleDot] f on x:n funktio ja  x  kulkee v\[ADoubleDot]li\
\[ADoubleDot] [ xmin , xmax ] . Ensimm\[ADoubleDot]isen\[ADoubleDot] \
parametrina annetaan piirrett\[ADoubleDot]v\[ADoubleDot] funktio, sitten \
muuttujan vaihteluv\[ADoubleDot]li ja lopuksi mahdolliset lis\[ADoubleDot]m\
\[ADoubleDot]\[ADoubleDot]reet. Esimerkkin\[ADoubleDot] kosinifunktio, jossa \
x saa arvoja v\[ADoubleDot]lill\[ADoubleDot] [ 0 , 4\[Pi] ]."
}], "Text",
  TextAlignment->Left,
  FontSize->14,
  CellTags->"plot"],

Cell[BoxData[
    \(Plot[Cos[x], {x, 0, 4*Pi}]\)], "Input",
  FontSize->14,
  CellTags->"plot"],

Cell["Kuvaan voidaan piirt\[ADoubleDot]\[ADoubleDot] kerralla \
my\[ODoubleDot]s useita funktioita:", "Text",
  FontSize->14,
  CellTags->"plot"],

Cell[BoxData[
    StyleBox[\(Plot[{Sin[x], Sin[2 x], Sin[4 x]}, {x, 0, 2\ Pi}]\),
      FontSize->14]], "Input",
  FontSize->14,
  CellTags->"plot"],

Cell[TextData[{
  StyleBox[
  "Komennolle Plot on olemassa useita optioita, eli lis\[ADoubleDot]m\
\[ADoubleDot]\[ADoubleDot]reit\[ADoubleDot].Lis\[ADoubleDot]m\[ADoubleDot]\
\[ADoubleDot]reet kirjoitetaan kuvattavan funktion ja muuttujan alueen m\
\[ADoubleDot]\[ADoubleDot]rittelyn j\[ADoubleDot]lkeen ja ne vaikuttavat eri \
tavoin tulostettavaan grafiikkaan. Seuraavassa lis\[ADoubleDot]m\[ADoubleDot]\
\[ADoubleDot]reell\[ADoubleDot] ",
    FontSize->14],
  StyleBox["AxesLabel",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox["kuvataan koordinaattiakseleille nimilaput (x ja Log[x] ) ja",
    FontSize->14],
  StyleBox[" PlotRange",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox[
  "-optiolla m\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot]t\[ADoubleDot]\
\[ADoubleDot]n tulostettava tasoalue.",
    FontSize->14]
}], "Text",
  FontSize->14,
  CellTags->"plot"],

Cell[BoxData[
    StyleBox[
      \(Plot[Log[x], {x, 0, 8}, AxesLabel -> {x, Log[x]}, 
        PlotRange -> {{0, 8}, {\(-4\), 4}}]\),
      FontSize->14]], "Input",
  FontSize->14,
  CellTags->"plot"],

Cell[TextData[{
  "Mathematica oletusarvoisesti piirt\[ADoubleDot]\[ADoubleDot] kuvat siten, \
ett\[ADoubleDot] kuvan korkeuden ja leveyden suhde on  ",
  Cell[BoxData[
      \(TraditionalForm\`2/\((1 + \@5\)\)]],
  "). T\[ADoubleDot]t\[ADoubleDot] suhdetta kutsutaan kultaiseksi \
leikkaukseksi. Jotta kuvan korkeus ja leveys saadaan yht\[ADoubleDot]suuriksi \
on annettava optio ",
  StyleBox["AspectRatio->1",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Jos kuvan korkeus ja leveys halutaan x- ja y-koordinaattien mukaisiksi \
kirjoitetaan optio ",
  StyleBox["AspectRatio->Automatic",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". \n\nErilaisten funktioiden mahdolliset optiot saadaan kirjoittamalla ",
  StyleBox["Options[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "funktio",
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".\n\nHelp-selain: ",
  ButtonBox["Plot",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Kahden muuttujan funktion piirt\[ADoubleDot]minen", "Section"],

Cell[TextData[{
  "Komennolla ",
  StyleBox["Plot3D",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " voidaan piirt\[ADoubleDot]\[ADoubleDot] kolmiulotteisen avaruuden \
pintoja. ",
  StyleBox["Plot3D",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "-komennon peruskaava on muotoa ",
  StyleBox["Plot3D[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f, ",
    FontSlant->"Italic"],
  StyleBox["{x,xmin,xmax}, {y,ymin,ymax}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", miss\[ADoubleDot] f on x:n ja y:n funktio ja x on v\[ADoubleDot]lill\
\[ADoubleDot] [ xmin , xmax ] ja y v\[ADoubleDot]lill\[ADoubleDot] [ ymin , \
ymax ]. Komennon ensimm\[ADoubleDot]inen hakasulkeiden sis\[ADoubleDot]\
\[ADoubleDot]n tuleva parametri on piirrett\[ADoubleDot]v\[ADoubleDot] \
funktio, seuraavat ovat muuttujien arvov\[ADoubleDot]lit ja lopuksi lis\
\[ADoubleDot]t\[ADoubleDot]\[ADoubleDot]n mahdolliset \
lis\[ADoubleDot]optiot."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Plot3D[Sin[x]*y, {x, \(-5\), 5}, {y, \(-5\), 5}, Boxed -> False]\)], 
  "Input",
  FontSize->14],

Cell[TextData[{
  "Lis\[ADoubleDot]optiot komennolle ",
  StyleBox["Plot3D",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " saat komennolla:"
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Options[Plot3D]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Plot3D",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Tasok\[ADoubleDot]yr\[ADoubleDot]", "Section"],

Cell[TextData[{
  "\nTasok\[ADoubleDot]yri\[ADoubleDot] voidaan piirt\[ADoubleDot]\
\[ADoubleDot] komennoilla ",
  StyleBox["ParametricPlot",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["Plot",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Komennolla ",
  StyleBox["ParametricPlot ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "voidaan piirt\[ADoubleDot]\[ADoubleDot] tasok\[ADoubleDot]yri\[ADoubleDot] \
antamalla yhden muuttujan parametrimuotoinen esitys kuvaajan lausekkeelle. \
Komennon peruskaava on muotoa ",
  StyleBox["ParametricPlot[{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f, g",
    FontSlant->"Italic"],
  StyleBox["},{x,xmin,xmax}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", miss\[ADoubleDot]  f ja g ovat x:n funktioita ja x on v\[ADoubleDot]lill\
\[ADoubleDot] [ xmin , xmax ]. Esimerkkin\[ADoubleDot] olkoon ympyr\
\[ADoubleDot], jonka s\[ADoubleDot]de on 2."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ParametricPlot[{2\ Cos[t], 2\ Sin[t]}, {t, 0, 2\ Pi}, 
      AspectRatio -> Automatic]\)], "Input",
  FontSize->14],

Cell["Tavallisen tasok\[ADoubleDot]yr\[ADoubleDot]n saa t\[ADoubleDot]st\
\[ADoubleDot]kin :", "Text",
  FontSize->14],

Cell[BoxData[
    \(ParametricPlot[{t, t^2}, {t, \(-3\), 3}]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["ParametricPlot",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell[" Avaruusk\[ADoubleDot]yr\[ADoubleDot]", "Section"],

Cell[TextData[{
  "Yhden muuttujan funktioita (avaruusk\[ADoubleDot]yri\[ADoubleDot] ) \
voidaan piirt\[ADoubleDot]\[ADoubleDot]  k\[ADoubleDot]ytt\[ADoubleDot]m\
\[ADoubleDot]ll\[ADoubleDot] funktioita ",
  StyleBox["ParametricPlot3D",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Funktion peruskaava on muotoa ",
  StyleBox["ParametricPlot3D[{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f, g, h",
    FontSlant->"Italic"],
  StyleBox["},{x,xmin,xmax}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", miss\[ADoubleDot] f , g , ja h ovat x:n funktioita  ja x kulkee v\
\[ADoubleDot]li\[ADoubleDot] [ xmin , xmax ] . Komennon  hakasulkeiden sis\
\[ADoubleDot]\[ADoubleDot]n siis laitetaan koordinaatit, jotka riippuvat \
ainoastaan yhdest\[ADoubleDot] muuttujasta sek\[ADoubleDot] muuttujan arvov\
\[ADoubleDot]li.  N\[ADoubleDot]iden j\[ADoubleDot]lkeen lis\[ADoubleDot]t\
\[ADoubleDot]\[ADoubleDot]n mahdolliset lis\[ADoubleDot]m\[ADoubleDot]\
\[ADoubleDot]reet. Esimerkin optioissa suurennetaan hieman kuvaa, ja \
vaihdetaan katselukulmaa  lis\[ADoubleDot]m\[ADoubleDot]\[ADoubleDot]reill\
\[ADoubleDot] ",
  StyleBox["ImageSize->",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "   ja ",
  StyleBox["ViewPoint->{}",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".  "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ParametricPlot3D[{Cos[x], x/6, Sin[x]}, {x, 0, 15}, ImageSize -> 300, 
      ViewPoint -> {2, 2, 2}]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["ParametricPlot3D",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Parametrimuodossa annetut pinnat ", "Section"],

Cell[TextData[{
  "Pintoja voidaan piirt\[ADoubleDot]\[ADoubleDot]  kahden muuttujan \
funktioina , parametriesityksen kuvaajina tai korkeusk\[ADoubleDot]yrin\
\[ADoubleDot] (tasa-arvok\[ADoubleDot]yrin\[ADoubleDot]). Parametrimuodossa \
esitetyn pinnan voi piirt\[ADoubleDot]\[ADoubleDot] komennolla ",
  StyleBox["ParametricPlot3D",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Komennon peruskaava on ",
  StyleBox["ParametricPlot3D[{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f, g, h",
    FontSlant->"Italic"],
  StyleBox["},{x,xmin,xmax},{y,ymin,ymax}] ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", miss\[ADoubleDot] f , g ja h ovat x:n ja y:n funktioita ja x v\
\[ADoubleDot]lill\[ADoubleDot] [ xmin , xmax ] sek\[ADoubleDot] y v\
\[ADoubleDot]lill\[ADoubleDot] [ ymin , ymax ]. Komennon \
ensimm\[ADoubleDot]iseksi parametriksi annetaan siis pinnan kolme \
koordinaattia kahden muuttujan funktioina. Seuraavaksi annetaan muuttujien v\
\[ADoubleDot]lit ja lopuksi mahdolliset lis\[ADoubleDot]m\[ADoubleDot]\
\[ADoubleDot]reet."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ParametricPlot3D[{x, \ y, \ Sin[1.5\ x]}, {x, \(-4\), 4}, {y, \(-4\), 
        4}, AspectRatio -> Automatic]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "T\[ADoubleDot]ss\[ADoubleDot] on annettu ",
  StyleBox["ParametricPlot3D",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "-komennolla luoduille kuville (jotka ovat ",
  StyleBox["Graphics3D",
    FontWeight->"Bold"],
  "-objekteja ) nimi, jotta niit\[ADoubleDot] voi my\[ODoubleDot]hemmin \
helposti yhdist\[ADoubleDot]\[ADoubleDot] graafiseksi kokonaisuudeksi."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(tuutti = 
      ParametricPlot3D[{u/4*Cos[t], u/4*Sin[t], u - 4}, {u, 0, 4}, {t, 0, 
          2\ Pi}, Boxed -> False, Axes -> None]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(pallo1 = 
      ParametricPlot3D[{1.5*Cos[t]\ Cos[u], 1.5*Sin[t]\ Cos[u], 
          Sin[u] +  .5}, {t, 0, 2\ Pi}, {u, \(-Pi\)/4, Pi/2}, Axes -> None, 
        Boxed -> False]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(pallo2 = 
      ParametricPlot3D[{Cos[t]\ Cos[u], Sin[t]\ Cos[u], Sin[u] + 2}, {t, 0, 
          2\ Pi}, {u, \(-Pi\)/6, Pi/2}, Axes -> None, Boxed -> False]\)], 
  "Input",
  FontSize->14],

Cell[BoxData[
    \(jatski = 
      Show[Graphics3D[{EdgeForm[], RGBColor[0, 0, 0], pallo1[\([1]\)], 
            pallo2[\([1]\)], EdgeForm[RGBColor[ .4,  .3,  .2]], 
            tuutti[\([1]\)]}, Boxed -> False]]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["ParametricPlot3D",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Pintojen korkeusk\[ADoubleDot]yr\[ADoubleDot]t", "Section"],

Cell[TextData[{
  "Pintojen korkeusk\[ADoubleDot]yri\[ADoubleDot] voidaan piirt\[ADoubleDot]\
\[ADoubleDot] komennolla ",
  StyleBox["ContourPlot",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Kuva n\[ADoubleDot]ytt\[ADoubleDot]\[ADoubleDot] korkeat kohdat (miss\
\[ADoubleDot] funktion arvo on suuri) vaaleina ja matalat kohdat (funktion \
arvo pieni) tummina. Komennon perusmuotona on ",
  StyleBox["ContourPlot[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["f, ",
    FontSlant->"Italic"],
  StyleBox["{x,xmin,xmax}, {y,ymin,ymax}].",
    FontFamily->"Courier",
    FontWeight->"Bold"]
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ContourPlot[x*y, {x, \(-2\), 2}, {y, \(-2\), 2}, 
      ContourLines\n\t\t\t -> False]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Pisteiden piirto koordinaatistoon", "Section"],

Cell[TextData[{
  StyleBox["Komennolla ",
    FontSize->14],
  StyleBox["ListPlot",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox[
  " voidaan havainnollistaa listaan talletettua dataa. Komento \
perusmuodossaan ",
    FontSize->14],
  StyleBox["ListPlot[{",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox["y1,y2,...",
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox["}]",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox[
  "piirt\[ADoubleDot]\[ADoubleDot] listan arvot x:n koordinaateille 1, 2, 3, \
...  .\nKun halutaan itse m\[ADoubleDot]\[ADoubleDot]ritt\[ADoubleDot]\
\[ADoubleDot] x-koordinaatit, annetaan komento muodossa:  ",
    FontSize->14],
  StyleBox["ListPlot[{{",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox["x1,y1",
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox["},{",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox["x2,y2",
    FontSize->14,
    FontSlant->"Italic"],
  StyleBox["},...}]",
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold"],
  StyleBox[
  ".Esimerkkin\[ADoubleDot] kuvataan koordinaatistoon  7 \
ensimm\[ADoubleDot]ist\[ADoubleDot] Fibonaccin lukua:",
    FontSize->14]
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ListPlot[Table[Fibonacci[i], {i, 1, 7}]]\)], "Input",
  CellEditDuplicate->True,
  FontSize->14],

Cell[TextData[{
  "Per\[ADoubleDot]kk\[ADoubleDot]iset pisteet saadaan yhdistetyiksi janoilla \
lis\[ADoubleDot]m\[ADoubleDot]\[ADoubleDot]reell\[ADoubleDot] ",
  StyleBox["PlotJoined->True",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". \n",
  StyleBox[
  "Esimerkiksi piirret\[ADoubleDot]\[ADoubleDot]n 5 ensimm\[ADoubleDot]ist\
\[ADoubleDot] alkulukua janoilla yhdistettyin\[ADoubleDot]:",
    FontSize->14]
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(ListPlot[Table[{i, Prime[i]}, {i, 1, 5}], PlotJoined -> True]\)], 
  "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["ListPlot",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
PrintingStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{579, 600},
WindowMargins->{{Automatic, 110}, {Automatic, 24}},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "plot"->{
    Cell[2008, 60, 87, 1, 55, "Section",
      CellTags->"plot"],
    Cell[2098, 63, 827, 20, 109, "Text",
      CellTags->"plot"],
    Cell[2928, 85, 95, 3, 45, "Input",
      CellTags->"plot"],
    Cell[3026, 90, 145, 3, 33, "Text",
      CellTags->"plot"],
    Cell[3174, 95, 148, 4, 45, "Input",
      CellTags->"plot"],
    Cell[3325, 101, 930, 25, 109, "Text",
      CellTags->"plot"],
    Cell[4258, 128, 200, 6, 64, "Input",
      CellTags->"plot"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"plot", 16946, 556}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 228, 5, 58, "Subsubtitle"],
Cell[1940, 56, 43, 0, 64, "Subtitle"],

Cell[CellGroupData[{
Cell[2008, 60, 87, 1, 55, "Section",
  CellTags->"plot"],
Cell[2098, 63, 827, 20, 109, "Text",
  CellTags->"plot"],
Cell[2928, 85, 95, 3, 45, "Input",
  CellTags->"plot"],
Cell[3026, 90, 145, 3, 33, "Text",
  CellTags->"plot"],
Cell[3174, 95, 148, 4, 45, "Input",
  CellTags->"plot"],
Cell[3325, 101, 930, 25, 109, "Text",
  CellTags->"plot"],
Cell[4258, 128, 200, 6, 64, "Input",
  CellTags->"plot"],
Cell[4461, 136, 991, 28, 185, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5489, 169, 68, 0, 35, "Section"],
Cell[5560, 171, 994, 27, 109, "Text"],
Cell[6557, 200, 116, 3, 45, "Input"],
Cell[6676, 205, 178, 7, 33, "Text"],
Cell[6857, 214, 64, 2, 45, "Input"],
Cell[6924, 218, 117, 5, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[7078, 228, 52, 0, 35, "Section"],
Cell[7133, 230, 997, 29, 128, "Text"],
Cell[8133, 261, 135, 3, 64, "Input"],
Cell[8271, 266, 118, 2, 33, "Text"],
Cell[8392, 270, 89, 2, 45, "Input"],
Cell[8484, 274, 125, 5, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[8646, 284, 56, 0, 35, "Section"],
Cell[8705, 286, 1360, 34, 147, "Text"],
Cell[10068, 322, 149, 3, 64, "Input"],
Cell[10220, 327, 127, 5, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[10384, 337, 52, 0, 35, "Section"],
Cell[10439, 339, 1111, 25, 147, "Text"],
Cell[11553, 366, 157, 3, 64, "Input"],
Cell[11713, 371, 417, 11, 71, "Text"],
Cell[12133, 384, 181, 4, 83, "Input"],
Cell[12317, 390, 224, 5, 83, "Input"],
Cell[12544, 397, 208, 5, 83, "Input"],
Cell[12755, 404, 242, 5, 102, "Input"],
Cell[13000, 411, 127, 5, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[13164, 421, 65, 0, 35, "Section"],
Cell[13232, 423, 648, 18, 90, "Text"],
Cell[13883, 443, 135, 3, 64, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[14055, 451, 52, 0, 35, "Section"],
Cell[14110, 453, 1338, 50, 109, "Text"],
Cell[15451, 505, 116, 3, 45, "Input"],
Cell[15570, 510, 449, 12, 52, "Text"],
Cell[16022, 524, 113, 3, 64, "Input"],
Cell[16138, 529, 119, 5, 33, "Text"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

