(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     23080,        885]*)
(*NotebookOutlinePosition[     23918,        914]*)
(*  CellTagsIndexPosition[     23874,        910]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["P",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["\[ADoubleDot]\[ADoubleDot]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell[TextData[
"Harjoitusteht\[ADoubleDot]vi\[ADoubleDot] Mathematican k\[ADoubleDot]yt\
\[ODoubleDot]n alkeiden opetteluun."], "Subtitle"],

Cell[TextData[{
  "Voit avata oman sivun teht\[ADoubleDot]vien ratkomista varten valitsemalla \
",
  StyleBox["File",
    FontWeight->"Bold"],
  "-valikosta ",
  StyleBox["New",
    FontWeight->"Bold"],
  ".\nAvaamalla (kaksoisklikkaamalla oikeanpuolimmaista sinisest\[ADoubleDot] \
hakasesta) teht\[ADoubleDot]v\[ADoubleDot]solun, \
l\[ODoubleDot]yd\[ADoubleDot]t teht\[ADoubleDot]v\[ADoubleDot]n alta \
vinkki-linkin. Kun n\[ADoubleDot]yt\[ODoubleDot]ll\[ADoubleDot] on useita \
muistikirjoja auki linkkien sujuvan toiminnan kannalta saattaa olla hy\
\[ODoubleDot]dyllist\[ADoubleDot] sulkea ylim\[ADoubleDot]\[ADoubleDot]r\
\[ADoubleDot]iset muistikirjat. "
}], "Text",
  FontSize->14],

Cell[CellGroupData[{

Cell[TextData[{
  "T1.  ",
  StyleBox["Sievenn\[ADoubleDot] seuraava lauseke",
    FontSize->14],
  ": ",
  Cell[BoxData[
      FormBox[
        StyleBox[
          \(\(\(-\ \ 15\)\/2 + \ 47 x - \(25\/3\) x\^2 - \(133\/6\) x\^3 + \ 
                \(2\/3\) x\^\(\n4\) + 2 x\^5\)\/\(5\/2 - \(89\/6\) x\  - \ 
                \(4\/3\) x\^2\  + 2 x\^3\)\),
          FontSize->18], TraditionalForm]]],
  "\n"
}], "Text",
  FontSize->16],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T1.",
  ButtonData:>{"algsie.nb", "sievennys"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
T2.  Laske tai poimi seuraavan listan :\t\
{1,2,5,3,6,1,2,9,6,8,4,7,6,1,3,6,6,3,2,4,6,5,3,3,6,4}\t
(a)   pituus\t\t
(b)   alkioiden summa
(c)  kuudes alkio
\
\>", "Text",
  FontSize->14],

Cell[TextData[{
  "\n",
  ButtonBox["vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T2.",
    ButtonData:>{"kaytopas.nb", "listat"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T3.Piirr\[ADoubleDot] seuraava k\[ADoubleDot]yr\[ADoubleDot] k, kun x  saa \
arvoja v\[ADoubleDot]lilt\[ADoubleDot] ( 0 , 10) sek\[ADoubleDot] ratkaise k\
\[ADoubleDot]yr\[ADoubleDot]n maksimikohta t\[ADoubleDot]ll\[ADoubleDot] v\
\[ADoubleDot]lill\[ADoubleDot].  k = ",
  Cell[BoxData[
      \(TraditionalForm\`e\^\(\(-x\)\/2\)\[CenterDot]x\^3.75\)]]
}], "Text",
  FontSize->14],

Cell[TextData[{
  "\nMuista, ett\[ADoubleDot] ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " ssa Neperin luku e on E.\n",
  ButtonBox["vihje teht\[ADoubleDot]v\[ADoubleDot]n T3 piirto-osaan",
    ButtonData:>{"graafiset.nb", "plot"},
    ButtonStyle->"Hyperlink"],
  "\nMaksimikohdan ratkaisemiseen tutki derivaatan nollakohtaa.\n\n",
  ButtonBox["vihje derivointiin",
    ButtonData:>{"diffint.nb", "derivointi"},
    ButtonStyle->"Hyperlink"],
  "\n\n",
  ButtonBox[
  "vihje teht\[ADoubleDot]v\[ADoubleDot]n T3 maksimikohdan ratkaisemiseen.",
    ButtonData:>{"yhtratk.nb", "iteraatio"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TextForm
    \`\(T4 . \ \ Laske\ 
      \(funktion\ \  : 
        4  x\^3\  + \ x\^2 + 3  x\  - 
            9\ \ m\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot]tty\ integraali\ 
              v\[ADoubleDot]lill\[ADoubleDot]\ \ 0\  \[LessEqual] \ x\  
          \[LessEqual] \ 5. \)\n\)\)], "Text",
  FontSize->14],

Cell[TextData[{
  ButtonBox["Vihje teht",
    ButtonData:>{"diffint.nb", "integraali"},
    ButtonStyle->"Hyperlink"],
  ButtonBox["\[ADoubleDot]",
    ButtonData:>{"diffint.nb", "integraali"},
    ButtonStyle->"Hyperlink"],
  ButtonBox["v",
    ButtonData:>{"diffint.nb", "integraali"},
    ButtonStyle->"Hyperlink"],
  ButtonBox["\[ADoubleDot]\[ADoubleDot]",
    ButtonData:>{"diffint.nb", "integraali"},
    ButtonStyle->"Hyperlink"],
  ButtonBox["n T4.",
    ButtonData:>{"diffint.nb", "integraali"},
    ButtonStyle->"Hyperlink"]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T5.  Laske funktion  f(x,y) toinen derivaatta y:n suhteen. f(x,y) = ",
  Cell[BoxData[
      \(TraditionalForm\`x\^4 + yx - e\^y + 2\/xy\)]],
  ".\n"
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T5.",
  ButtonData:>{"diffint.nb", "derivointi"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
T6.  Laske kaikkien per\[ADoubleDot]kk\[ADoubleDot]isten lukujen \
1-20 tulo ja summa.
\
\>", "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"Vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T6.",
  ButtonData:>{"diffint.nb", "sarjat"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T7. Laske mill\[ADoubleDot] x:n arvoilla  polynomit p1(x) ja p2(x) saavat \
yht\[ADoubleDot]suuret arvot.\np1: ",
  Cell[BoxData[
      \(TraditionalForm
      \`x\^2 + 1.9709999999999999`\ x - 4.36719999999999952`\)]],
  ", \np2:",
  Cell[BoxData[
      \(TraditionalForm
      \`x\^3 - 61.9639999999999968`\ x\^2 - 125.681814999999974`\ x + 
        272.987749250000044`\)]]
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]n T7 \
yht\[ADoubleDot]l\[ODoubleDot]nratkaisuun.",
  ButtonData:>{"yhtratk.nb", "nsolve"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T8. Kerro auki lausekkeet a)  ",
  Cell[BoxData[
      \(TraditionalForm\`\((x - 3)\)\^7\)]],
  " ,  b)  ",
  Cell[BoxData[
      FormBox[
        SuperscriptBox[
          RowBox[{
            FormBox[
              RowBox[{"(", 
                FormBox[\(x + \@5\),
                  "TraditionalForm"]}],
              "TraditionalForm"], ")"}], "9"], TraditionalForm]]]
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T8.",
  ButtonData:>{"algsie.nb", "factor"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T9. Kirjoita mahdollisimman kompaktiin tulomuotoon lausekkeet:\na) ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[
            RowBox[{
              FormBox[\(x\^2\),
                "TraditionalForm"], \(\(cos(x)\)\^2\)}],
            "TraditionalForm"], \(\(sin(x)\)\^3\)}], TraditionalForm]]],
  "-3",
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  Cell[BoxData[
      \(TraditionalForm\`\(\(cos(x)\)\^2\) \(sin(x)\)\^2\)]],
  "+3",
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  Cell[BoxData[
      \(TraditionalForm\`\(\(cos(x)\)\^2\) \(sin(x)\)\)]],
  "-",
  Cell[BoxData[
      FormBox[
        FormBox[
          RowBox[{
            FormBox[\(x\^2\),
              "TraditionalForm"], \(\(cos(x)\)\^2\)}],
          "TraditionalForm"], TraditionalForm]]],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`\(b)\) 32  x\^5\)]],
  "-80 \[LeftBracketingBar] tan(x)\[LeftBracketingBar] ",
  Cell[BoxData[
      \(TraditionalForm\`x\^4\)]],
  "+ 80\[LeftBracketingBar] tan(x)\[LeftBracketingBar]",
  Cell[BoxData[
      \(TraditionalForm\`\(\^2\) x\^3\)]],
  "-40\[LeftBracketingBar] ",
  Cell[BoxData[
      \(TraditionalForm\`\(tan(x)\) \[LeftBracketingBar]\^3\)]],
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  "+10\[LeftBracketingBar] ",
  Cell[BoxData[
      \(TraditionalForm\`\(tan(x)\) \[LeftBracketingBar]\^4 x\)]],
  " -\[LeftBracketingBar] ",
  Cell[BoxData[
      \(TraditionalForm\`\(tan(x)\) \[LeftBracketingBar]\^5\)]]
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T9.",
  ButtonData:>{"algsie.nb", "factor"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T10. Sievenn\[ADoubleDot] lauseke ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            FormBox[
              RowBox[{
                FormBox[
                  RowBox[{
                    FormBox[\(2  x\^2\),
                      "TraditionalForm"], "-", \(y\^3\)}],
                  "TraditionalForm"], "-", \(3  x\^5\)}],
              "TraditionalForm"], \(ysin(x)\)}], "+", \(y\^4\)}], 
        TraditionalForm]]],
  "x+xy+12\na)  x:n suhteen\nb) y:nsuhteen\nc)  sin(x):n suhteen"
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T10.",
  ButtonData:>{"algsie.nb", "kertoimet"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T11.  Tarkastellaan murtolauseketta",
  StyleBox[" ",
    FontSize->18],
  Cell[BoxData[
      FormBox[
        StyleBox[\(\((x + 2)\)\^4\/\(\((x - 3)\) \((x + 8)\)\)\),
          FontSize->16], TraditionalForm]],
    FontSize->18],
  "\n\na)  Erota murtolausekkeesta osoittaja.\nb)  Erota murtolausekkeesta \
nimitt\[ADoubleDot]j\[ADoubleDot].\nc) Muunna murtolauseke muotoon , jossa \
osoittaja on kerrottu auki ja nimitt\[ADoubleDot]j\[ADoubleDot] tulomuodossa.\
\nd)Tee lausekkeesta osamurtohajotelma."
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T11.",
  ButtonData:>{"algsie.nb", "murto"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T12.   ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[
            RowBox[{
              RowBox[{
                FormBox[
                  RowBox[{
                    FormBox[
                      RowBox[{
                        RowBox[{
                          FormBox[
                            RowBox[{
                              FormBox[
                                RowBox[{
                                  FormBox[\(x\^5\),
                                    "TraditionalForm"], "+", \((211\/132\)}],
                                "TraditionalForm"], "+", \(\@5\)}],
                            "TraditionalForm"], ")"}], \(x\^4\)}],
                      "TraditionalForm"], "+", \((\(-19\)\/11\)}],
                  "TraditionalForm"], "+", \(\(211 \@ 5\)\/132\)}], ")"}],
            "TraditionalForm"], \(x\^3\)}], TraditionalForm]]],
  "+(",
  Cell[BoxData[
      \(TraditionalForm\`\(\(-19\) \@5\)\/11\)]],
  "-",
  Cell[BoxData[
      \(TraditionalForm\`\(181\/132)\)\)]],
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  "+(",
  Cell[BoxData[
      \(TraditionalForm\`\(\(-181\) \@5\)\/11\)]],
  "+",
  Cell[BoxData[
      \(TraditionalForm\`\(21\/22)\)\)]],
  "x +",
  Cell[BoxData[
      \(TraditionalForm\`\(21 \@ 5\)\/22\)]],
  " =0    \na) Ratkaise edellinen yht\[ADoubleDot]l\[ODoubleDot] siten, ett\
\[ADoubleDot] saat juurille numeeriset likiarvot.\nb) Ratkaise yht\
\[ADoubleDot]l\[ODoubleDot] siten, ett\[ADoubleDot] saat juurten likiarvot \
kahden merkitsev\[ADoubleDot]n numeron tarkkuudella."
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T12.",
  ButtonData:>{"yhtratk.nb", "nsolve"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T13.  Ratkaise seuraavan yht\[ADoubleDot]l\[ODoubleDot]n a) juurten tarkat \
arvot, b) juurten likiarvot.\n",
  Cell[BoxData[
      \(TraditionalForm\`x\^8\)]],
  "+ (3 + ",
  Cell[BoxData[
      \(TraditionalForm\`\@3\)]],
  ") ",
  Cell[BoxData[
      \(TraditionalForm\`x\^7\)]],
  "+ ",
  Cell[BoxData[
      \(TraditionalForm\`\((3 \@ 3\)\)]],
  "- ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[\(9\/49)\),
            "TraditionalForm"], \(x\^6\)}], TraditionalForm]]],
  "+ ",
  Cell[BoxData[
      FormBox[
        RowBox[{"(", 
          RowBox[{
            RowBox[{"-", 
              FormBox[\(\(9 \@ 3\)\/49\),
                "TraditionalForm"]}], "-", 
            RowBox[{
              FormBox[\(27\/49)\),
                "TraditionalForm"], \(x\^5\)}]}]}], TraditionalForm]]],
  "+(4 -  ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(27 \@ 3\)\/49)\)\ x\^4\)]],
  "+(12 + ",
  Cell[BoxData[
      \(TraditionalForm\`4 \@ 3\)]],
  ") ",
  Cell[BoxData[
      \(TraditionalForm\`x\^3\)]],
  "+ ",
  Cell[BoxData[
      \(TraditionalForm\`\((12 \@ 3\)\)]],
  "- ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[\(36\/49)\),
            "TraditionalForm"], \(x\^2\)}], TraditionalForm]]],
  "+(-",
  Cell[BoxData[
      \(TraditionalForm\`\(36 \@ 3\)\/49\)]],
  "-",
  Cell[BoxData[
      \(TraditionalForm\`108\/49\)]],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`)\)]],
  "x - ",
  Cell[BoxData[
      \(TraditionalForm\`\(108 \@ 3\)\/49\)]],
  "=0"
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T13.",
  ButtonData:>{"yhtratk.nb", "polyht"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "T14.  a) Ratkaise seuraava lineaarinen yht\[ADoubleDot]l\[ODoubleDot]ryhm\
\[ADoubleDot].\n2 ",
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  "+ 2 ",
  Cell[BoxData[
      \(TraditionalForm\`x\_4\)]],
  "+ ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[\(x\_5\),
            "TraditionalForm"], "-", \(x\_6\)}], TraditionalForm]]],
  "= 0\n2 ",
  Cell[BoxData[
      \(TraditionalForm\`x\_2\)]],
  "+ ",
  Cell[BoxData[
      \(TraditionalForm\`x\_4\)]],
  "- ",
  Cell[BoxData[
      \(TraditionalForm\`x\_7\)]],
  " = 0\n-2 ",
  Cell[BoxData[
      \(TraditionalForm\`x\_3\)]],
  "+ ",
  Cell[BoxData[
      \(TraditionalForm\`x\_5\)]],
  "- ",
  Cell[BoxData[
      \(TraditionalForm\`x\_8\)]],
  "= 0\n2 ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[
            RowBox[{
              FormBox[
                RowBox[{
                  FormBox[\(x\_1\),
                    "TraditionalForm"], \(x\_4\)}],
                "TraditionalForm"], "+", \(x\_2\)}],
            "TraditionalForm"], \(x\_4\)}], TraditionalForm]]],
  "- 5 ",
  Cell[BoxData[
      \(TraditionalForm\`x\_4\)]],
  "= 0\n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[\(x\_1\),
            "TraditionalForm"], \(x\_5\)}], TraditionalForm]]],
  "+ ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[\(x\_3\),
            "TraditionalForm"], \(x\_5\)}], TraditionalForm]]],
  "- 2 ",
  Cell[BoxData[
      \(TraditionalForm\`x\_5\)]],
  "= 0\n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[
            RowBox[{
              FormBox[\(-x\_1\),
                "TraditionalForm"], \(x\_6\)}],
            "TraditionalForm"], "+", \(x\_6\)}], TraditionalForm]]],
  "= 0\n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[\(-x\_2\),
            "TraditionalForm"], \(x\_7\)}], TraditionalForm]]],
  "+ 2 ",
  Cell[BoxData[
      \(TraditionalForm\`x\_7\)]],
  "= 0\n",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[\(-x\_3\),
            "TraditionalForm"], \(x\_8\)}], TraditionalForm]]],
  "= 0\n\nb) Laske tarkat arvot ja likiarvot seuraavan yht\[ADoubleDot]l\
\[ODoubleDot]ryhm\[ADoubleDot]n juurille.\n\nx - y + z = 4\nx - 5 y + 2 z = 0\
\n8 x + ",
  Cell[BoxData[
      \(TraditionalForm\`\@5\)]],
  "y - z = 4\n"
}], "Text",
  FontSize->14],

Cell[TextData[ButtonBox[
"vihje teht\[ADoubleDot]v\[ADoubleDot]\[ADoubleDot]n T14.",
  ButtonData:>{"yhtratk.nb", "linyht"},
  ButtonStyle->"Hyperlink"]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Vastaukset harjoitusteht\[ADoubleDot]viin"], "Subsubtitle"],

Cell[CellGroupData[{

Cell["T1. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(Factor[
      \((\(-15\)/2 + 47\ x - 25/3\ x^2 - 133/6\ x^3 + 2/3\ x^4 + 2\ x^5)\)/
        \((5/2 - 89/6\ x - 4/3\ x^2 + 2\ x^3)\)]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T2. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(l = {1, 2, 5, 3, 6, 1, 2, 9, 6, 8, 4, 7, 6, 1, 3, 6, 6, 3, 2, 4, 6, 
        5, 3, 3, 6, 4}; \)\)], "Input"],

Cell["a)", "Text"],

Cell[BoxData[
    \(Length[l]\)], "Input"],

Cell["b)", "Text"],

Cell[BoxData[
    \(Sum[l[\([i]\)], {i, 1, Length[l]}]\)], "Input"],

Cell["c)", "Text"],

Cell[BoxData[
    \(l[\([6]\)]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T3. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(k = Exp[\(-x\)/2]*x^3.75; \)\)], "Input"],

Cell[BoxData[
    \(Plot[k, {x, 0, 10}]\)], "Input"],

Cell[BoxData[
    \(d = D[k, x]\)], "Input"],

Cell[BoxData[
    \(FindRoot[d == 0, {x, 7.4}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T4. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(f = 4\ x^3 + x^2 + 3\ x - 9; \)\)], "Input"],

Cell[BoxData[
    \(Integrate[f, {x, 0, 5}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T5. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(f = x^4 + y\ x - Exp[y] + 2/\((x\ y)\); \)\)], "Input"],

Cell[BoxData[
    \(D[f, {y, 2}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T6. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(Sum[i, {i, 1, 20}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T7. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(p1 = x^2 + 1.971\ x - 4.3672; \n
    p2 = x^3 - 61.964\ x^2 - 125.682\ x + 272.988; \)], "Input"],

Cell[BoxData[
    \(Solve[p1 == p2]\)], "Input"],

Cell[BoxData[
    \(Plot[{p1, p2}, {x, \(-10\), 100}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T8. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(p1 = \((x - 3)\)^7; p2 = \((x + Sqrt[5])\)^9; \nExpand[p1]\)], "Input"],

Cell[BoxData[
    \(Expand[p2]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T9. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(p3 = 
      \(-\((x^2*Cos[x]^2)\)\)\  + \ 3*x^2*Cos[x]^2*Sin[x]\  - \ \n\ \ 
        3*x^2*Cos[x]^2*Sin[x]^2\  + \ x^2*Cos[x]^2*Sin[x]^3\)], "Input"],

Cell[BoxData[
    \(Factor[p3]\)], "Input"],

Cell[BoxData[
    \(p4 = 
      32  x^5 - 80*Abs[Tan[x]]*x^4 + 80*Abs[Tan[x]]^2*x^3 - 
        40*Abs[Tan[x]]^3*x^2 + 10*Abs[Tan[x]]^4*x - Abs[Tan[x]]^5\)], "Input"],

Cell[BoxData[
    \(Factor[p4]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T10. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(p5 = 
      12\  + \ xy\  + \ x*y^4\  + \ 
        x*\((2*x^2\  - \ 3*x^5\  - \ y^3)\)*y\ Sin[x]; \)\)], "Input"],

Cell["a)", "Text"],

Cell[BoxData[
    \(Collect[p5, x]\)], "Input"],

Cell["b)", "Text"],

Cell[BoxData[
    \(Collect[p5, y]\)], "Input"],

Cell["c)", "Text"],

Cell[BoxData[
    \(Collect[p5, Sin[x]]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T11. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(ml = \((x + 2)\)^4/\((\((x - 3)\)*\((x + 8)\))\); \)\)], "Input"],

Cell[BoxData[
    \(Numerator[ml]\)], "Input"],

Cell[BoxData[
    \(Denominator[ml]\)], "Input"],

Cell[BoxData[
    \(Expand[Numerator[ml]]/Denominator[ml]\)], "Input"],

Cell[BoxData[
    \(Apart[ml]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T12. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(y = 
      x^5 + \((211/132 + Sqrt[5])\)*x^4 + 
          \((\(-19\)/11 + 211*Sqrt[5]/132)\)*x^3 + 
          \((\(-19\)*Sqrt[5]/11 - 181/132)\)*x^2 + 
          \((\(-181\)*Sqrt[5]/11 + 21/22)\)*x == 0; \)\)], "Input"],

Cell["a)", "Text"],

Cell[BoxData[
    \(Solve[y]\)], "Input"],

Cell["b)", "Text"],

Cell[BoxData[
    \(NSolve[y]\)], "Input"],

Cell["c)", "Text"],

Cell[BoxData[
    \(N[NSolve[y], 2]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T13. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(\(y = 
      x^8 + \((3 + Sqrt[3])\) x^7 + \((3*Sqrt[3] - 9/49)\)*x^6 + 
          \((9*Sqrt[3]/49 - 27/49)\)*x^5 + \((4 - 27*Sqrt[3]/49)\)*x^4 + 
          \((12 + 4*Sqrt[3])\)*x^3 + \((12*Sqrt[3] - 36/49)\)*x^2 + 
          \((\(-36\)*Sqrt[3]/49 - 108/49)\)*x - 108*Sqrt[3]/49 == 0; \)\)], 
  "Input"],

Cell[BoxData[
    \(Solve[y]\)], "Input"],

Cell[BoxData[
    \(NSolve[y]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["T14. Ratkaisu", "Subsection",
  FontFamily->"Lucida"],

Cell[BoxData[
    \(Clear[x, y, z]\)], "Input"],

Cell["a)", "Text"],

Cell[BoxData[
    \(y1 = 2\ x[1]\  + \ 2\ x[4]\  + \ x[5]\  - \ x[6] == 0; \ \n
    y2 = 2  x[2] + x[4] - x[7] == 0; \ny3 = \(-2\)\ x[3] + x[5] - x[8] == 0; 
    \ny4 = 2\ x[1]\ x[4] + x[2]\ x[4] - 5\ x[4] == 0; \n
    y5 = x[1]\ x[5] + x[3]\ x[5] - 2\ x[5] == 0; \n
    y6 = \(-x[1]\)\ x[6] + x[6] == 0; \ny7 = \(-x[2]\)\ x[7] + 2\ x[7] == 0; 
    \ny8 = \(-x[3]\)\ x[8] == 0; \)], "Input"],

Cell[BoxData[
    \(Solve[{y1, y2, y3, y4, y5, y6, y7, y8}]\)], "Input"],

Cell["b)", "Text"],

Cell[BoxData[
    \(y1 = x - y + z == 4; \ny2 = x - 5\ y + 2\ z == 0; \n
    y3 = 8\ x + Sqrt[5] - z == 4; \)], "Input"],

Cell[BoxData[
    \(Solve[{y1, y2, y3}]\)], "Input"],

Cell[BoxData[
    \(NSolve[{y1, y2, y3}]\)], "Input"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
CellGrouping->Manual,
WindowSize->{534, 600},
WindowMargins->{{Automatic, 205}, {Automatic, 28}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"PaperSize"->{597.562, 842.375},
"PaperOrientation"->"Portrait",
"Magnification"->1},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 386, 11, 58, "Subsubtitle"],
Cell[2098, 62, 139, 2, 93, "Subtitle"],
Cell[2240, 66, 688, 16, 109, "Text"],

Cell[CellGroupData[{
Cell[2953, 86, 434, 14, 87, "Text"],
Cell[3390, 102, 163, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[3590, 110, 196, 8, 125, "Text"],
Cell[3789, 120, 195, 6, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[4021, 131, 398, 8, 51, "Text"],
Cell[4422, 141, 660, 18, 166, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5119, 164, 328, 8, 48, "Text"],
Cell[5450, 174, 546, 16, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[6033, 195, 196, 6, 54, "Text"],
Cell[6232, 203, 165, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[6434, 211, 127, 5, 49, "Text"],
Cell[6564, 218, 161, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[6762, 226, 423, 12, 68, "Text"],
Cell[7188, 240, 192, 4, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[7417, 249, 420, 15, 32, "Text"],
Cell[7840, 266, 160, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[8037, 274, 1525, 49, 68, "Text"],
Cell[9565, 325, 160, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[9762, 333, 565, 17, 87, "Text"],
Cell[10330, 352, 164, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[10531, 360, 553, 14, 151, "Text"],
Cell[11087, 376, 160, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[11284, 384, 1614, 46, 131, "Text"],
Cell[12901, 432, 162, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[13100, 440, 1561, 63, 94, "Text"],
Cell[14664, 505, 162, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[14863, 513, 2392, 93, 315, "Text"],
Cell[17258, 608, 162, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[17457, 616, 74, 0, 42, "Subsubtitle"],

Cell[CellGroupData[{
Cell[17556, 620, 58, 1, 45, "Subsection"],
Cell[17617, 623, 165, 3, 75, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[17819, 631, 58, 1, 29, "Subsection"],
Cell[17880, 634, 130, 2, 43, "Input"],
Cell[18013, 638, 18, 0, 32, "Text"],
Cell[18034, 640, 42, 1, 27, "Input"],
Cell[18079, 643, 18, 0, 32, "Text"],
Cell[18100, 645, 67, 1, 27, "Input"],
Cell[18170, 648, 18, 0, 32, "Text"],
Cell[18191, 650, 43, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18271, 656, 58, 1, 29, "Subsection"],
Cell[18332, 659, 63, 1, 27, "Input"],
Cell[18398, 662, 52, 1, 27, "Input"],
Cell[18453, 665, 44, 1, 27, "Input"],
Cell[18500, 668, 59, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18596, 674, 58, 1, 29, "Subsection"],
Cell[18657, 677, 66, 1, 27, "Input"],
Cell[18726, 680, 56, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18819, 686, 58, 1, 29, "Subsection"],
Cell[18880, 689, 77, 1, 27, "Input"],
Cell[18960, 692, 45, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[19042, 698, 58, 1, 29, "Subsection"],
Cell[19103, 701, 51, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[19191, 707, 58, 1, 29, "Subsection"],
Cell[19252, 710, 117, 2, 43, "Input"],
Cell[19372, 714, 48, 1, 27, "Input"],
Cell[19423, 717, 66, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[19526, 723, 58, 1, 29, "Subsection"],
Cell[19587, 726, 91, 1, 43, "Input"],
Cell[19681, 729, 43, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[19761, 735, 58, 1, 29, "Subsection"],
Cell[19822, 738, 169, 3, 43, "Input"],
Cell[19994, 743, 43, 1, 27, "Input"],
Cell[20040, 746, 165, 3, 43, "Input"],
Cell[20208, 751, 43, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[20288, 757, 59, 1, 29, "Subsection"],
Cell[20350, 760, 135, 3, 43, "Input"],
Cell[20488, 765, 18, 0, 32, "Text"],
Cell[20509, 767, 47, 1, 43, "Input"],
Cell[20559, 770, 18, 0, 32, "Text"],
Cell[20580, 772, 47, 1, 43, "Input"],
Cell[20630, 775, 18, 0, 32, "Text"],
Cell[20651, 777, 52, 1, 43, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[20740, 783, 59, 1, 29, "Subsection"],
Cell[20802, 786, 87, 1, 43, "Input"],
Cell[20892, 789, 46, 1, 43, "Input"],
Cell[20941, 792, 48, 1, 43, "Input"],
Cell[20992, 795, 70, 1, 43, "Input"],
Cell[21065, 798, 42, 1, 43, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[21144, 804, 59, 1, 29, "Subsection"],
Cell[21206, 807, 241, 5, 91, "Input"],
Cell[21450, 814, 18, 0, 32, "Text"],
Cell[21471, 816, 41, 1, 27, "Input"],
Cell[21515, 819, 18, 0, 32, "Text"],
Cell[21536, 821, 42, 1, 27, "Input"],
Cell[21581, 824, 18, 0, 32, "Text"],
Cell[21602, 826, 48, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[21687, 832, 59, 1, 29, "Subsection"],
Cell[21749, 835, 323, 6, 91, "Input"],
Cell[22075, 843, 41, 1, 27, "Input"],
Cell[22119, 846, 42, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[22198, 852, 59, 1, 29, "Subsection"],
Cell[22260, 855, 47, 1, 27, "Input"],
Cell[22310, 858, 18, 0, 32, "Text"],
Cell[22331, 860, 391, 6, 139, "Input"],
Cell[22725, 868, 72, 1, 27, "Input"],
Cell[22800, 871, 18, 0, 32, "Text"],
Cell[22821, 873, 120, 2, 59, "Input"],
Cell[22944, 877, 52, 1, 27, "Input"],
Cell[22999, 880, 53, 1, 27, "Input"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

