(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     24599,        751]*)
(*NotebookOutlinePosition[     27327,        834]*)
(*  CellTagsIndexPosition[     27217,        827]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["P\[ADoubleDot]\[ADoubleDot]sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell["1. K\[ADoubleDot]yt\[ODoubleDot]n perusasiat", "Subtitle"],

Cell["Eri k\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]t", "Section"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa on kaksi k\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]\
\[ADoubleDot], joista toinen on komentorivipohjainen ja toinen on \
muistikirja(notebook)-k\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]. \
Unix-ymp\[ADoubleDot]rist\[ODoubleDot]ss\[ADoubleDot] komento ",
  StyleBox["math",
    FontWeight->"Bold"],
  " k\[ADoubleDot]ynnist\[ADoubleDot]\[ADoubleDot] komentorivipohjaisen k\
\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]n ja komento ",
  StyleBox["mathematica",
    FontWeight->"Bold"],
  " avaa muistikirja-k\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]n. \n\
Windowsin vastaavat komennot ovat ",
  StyleBox["start math",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["start mathematica",
    FontWeight->"Bold"],
  ", silloin kun ohjelma k\[ADoubleDot]ynnistet\[ADoubleDot]\[ADoubleDot]n \
komentorivilt\[ADoubleDot]. Windows-ymp\[ADoubleDot]rist\[ODoubleDot]ss\
\[ADoubleDot] luontevinta lienee kuitenkin k\[ADoubleDot]ynnist\[ADoubleDot]\
\[ADoubleDot] ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " k\[ADoubleDot]ynnistysvalikosta valitsemalla.\n\nKomentorivipohjaista  k\
\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]\[ADoubleDot] \
k\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n suoraan komentorivilt\
\[ADoubleDot]. Grafiikka tulostuu omaan ikkunaansa (jossa on muutama valikko \
painikkeineen). Sy\[ODoubleDot]tteiden editoiminen ja tallentaminen vaatii \
erillisen tekstieditorin k\[ADoubleDot]ytt\[ODoubleDot]\[ADoubleDot]. \n\n\
Muistikirja-k\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]ss\[ADoubleDot] \
n\[ADoubleDot]yt\[ODoubleDot]lle avautuu tyhj\[ADoubleDot] muistikirja, jonka \
yl\[ADoubleDot]palkissa on erilaisia valikkoja. Muistikirja toimii nimens\
\[ADoubleDot] mukaisesti tallennettavana dokumenttina, jonka \
sis\[ADoubleDot]ll\[ADoubleDot] voidaan ajaa komentoja, tulostaa grafiikkaa, \
editoida aiempia sy\[ODoubleDot]tteit\[ADoubleDot] tai tavallista teksti\
\[ADoubleDot] ym. Muistikirja-k\[ADoubleDot]ytt\[ODoubleDot]liittym\
\[ADoubleDot]ss\[ADoubleDot] komennot suoritetaan painamalla sek\[ADoubleDot] \
",
  StyleBox["shift",
    FontWeight->"Bold"],
  "- ett\[ADoubleDot] ",
  StyleBox["return",
    FontWeight->"Bold"],
  " (rivinvaihto) -painiketta. "
}], "Text",
  FontSize->14],

Cell[CellGroupData[{

Cell[TextData["T\[ADoubleDot]st\[ADoubleDot] oppaasta"], "Section"],

Cell[TextData[{
  "T\[ADoubleDot]m\[ADoubleDot] opas on muistikirja(notebook) -muodossa, \
joten dokumentin sis\[ADoubleDot]lt\[ADoubleDot]m\[ADoubleDot]t komennot \
voidaan ajaa suoraan dokumentin sis\[ADoubleDot]ll\[ADoubleDot]. Oppaan sis\
\[ADoubleDot]lt\[ADoubleDot]mi\[ADoubleDot] komentoja suositellaankin \
ajettaviksi, jolloin parhaiten n\[ADoubleDot]hd\[ADoubleDot]\[ADoubleDot]n \
mit\[ADoubleDot] komennoilla saadaan aikaan. Ajettavat komennot on merkitty \
taustav\[ADoubleDot]rill\[ADoubleDot]. \n\nToisinaan on samannimisille \
muuttujille annettu eri kohdissa erilaisia arvoja. Muuttujien arvot my\
\[ODoubleDot]s usein muuttuvat laskutoimituksien edetess\[ADoubleDot]. \
Tarpeen vaatiessa on muuttujat tyhjennett\[ADoubleDot]v\[ADoubleDot] m\
\[ADoubleDot]\[ADoubleDot]rittelyist\[ADoubleDot]. Muuttujat voidaan tyhjent\
\[ADoubleDot]\[ADoubleDot] k\[ADoubleDot]ytt\[ADoubleDot]m\[ADoubleDot]ll\
\[ADoubleDot] komentoa ",
  StyleBox["Clear[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ",
  StyleBox["muuttuja",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Jotkut komennoista k\[ADoubleDot]ytt\[ADoubleDot]v\[ADoubleDot]t saman \
kappaleen edelt\[ADoubleDot]vien toimintojen tuloksia, joten \
niit\[ADoubleDot] kannattaa ajaa mielekk\[ADoubleDot]\[ADoubleDot]ss\
\[ADoubleDot] j\[ADoubleDot]rjestyksess\[ADoubleDot].\n\n",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " sis\[ADoubleDot]lt\[ADoubleDot]\[ADoubleDot] itsess\[ADoubleDot]\
\[ADoubleDot]n mittavan englanninkielisen dokumentaation ja \
yl\[ADoubleDot]palkin Help-valikosta voidaan muunmuassa k\[ADoubleDot]ynnist\
\[ADoubleDot]\[ADoubleDot] ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "n oman Help-selain, jonka avulla funktioista ja toiminnoista saa tarkempaa \
tietoa. T\[ADoubleDot]m\[ADoubleDot] opas sis\[ADoubleDot]lt\[ADoubleDot]\
\[ADoubleDot] my\[ODoubleDot]s joitakin  linkkej\[ADoubleDot], jotka  viev\
\[ADoubleDot]t ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "n omaan Help-selaimeen. \n\nT\[ADoubleDot]ss\[ADoubleDot] oppaassa on \
joitakin hyperlinkkej\[ADoubleDot], jotka osoittavat toisiin muistikirjoihin. \
N\[ADoubleDot]it\[ADoubleDot] linkkej\[ADoubleDot] klikattaessa avautuu \
linkin osoittama muistikirja n\[ADoubleDot]yt\[ODoubleDot]lle. Liiallinen m\
\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot] auki olevia muistikirjoja saattaa \
kuormittaa resursseja, jolloin toiminnat mahdollisesti hidastuvat. T\
\[ADoubleDot]m\[ADoubleDot]n vuoksi onkin suositeltavaa sulkea ylim\
\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot]iset muistikirjat valitsemalla \
valikosta ",
  StyleBox["File",
    FontWeight->"Bold"],
  " vaihtoehto  ",
  StyleBox["Close",
    FontWeight->"Bold"],
  ".\n\nMuistikirja-k\[ADoubleDot]ytt\[ODoubleDot]liittym\[ADoubleDot]ss\
\[ADoubleDot] kaikki tulostuu ",
  StyleBox["soluihin",
    FontFamily->"Helvetica"],
  " (cell).  Avatessasi uuden muistilehti\[ODoubleDot]n, \n(valitsemalla ",
  StyleBox["File",
    FontWeight->"Bold"],
  "-valikosta kohdan ",
  StyleBox["New",
    FontWeight->"Bold"],
  " ) solut ovat aina oletusarvoisesti ajettavia, joten voit suorittaa \
laskutoimituksia ym. ajamalla kirjoittamasi komennot. Soluja joita ei voida \
ajaa ovat muunmuassa tavallista teksti\[ADoubleDot] tai grafiikkaa sis\
\[ADoubleDot]lt\[ADoubleDot]v\[ADoubleDot]t solut. \n\nKun n\[ADoubleDot]et \
tekstin oikeassa laidassa sinisen hakasen , jossa on alasp\[ADoubleDot]in \
osoittavan nuolen n\[ADoubleDot]k\[ODoubleDot]inen sininen v\[ADoubleDot]k\
\[ADoubleDot]nen on solu ",
  StyleBox["suljettu",
    FontFamily->"Helvetica"],
  " ja n\[ADoubleDot]kyvill\[ADoubleDot] on vain solun \
ensimm\[ADoubleDot]inen alasolu (useimmiten otsikko). Suljetun solun saat \
auki kohdistamalla hiirell\[ADoubleDot] kursori \
v\[ADoubleDot]k\[ADoubleDot]seen ja napsauttamalla nopeasti kaksi kertaa per\
\[ADoubleDot]kk\[ADoubleDot]in (kaksois-klikkaamalla). Kaksois-klikkaamalla \
uudestaan juuri avautuneen solun hakasesta saat solun taas suljettua.  \
Seuraavat solut ovat suljetussa muodossa, joten saadaksesi solujen sis\
\[ADoubleDot]ll\[ODoubleDot]n esiin sinun tulee avata solu \
kaksoisklikkaamalla sen otsikon soluhakasesta, jonka haluat lukea."
}], "Text",
  FontSize->14]
}, Open  ]],

Cell[CellGroupData[{

Cell["Komentorakenteesta ", "Section"],

Cell[CellGroupData[{

Cell["Komentojen sy\[ODoubleDot]tt\[ADoubleDot]minen ja valmiit paletit", 
  "Subsubtitle"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa komennot aktivoidaan painamalla yht\[ADoubleDot] aikaa ",
  StyleBox["shift",
    FontWeight->"Bold"],
  "-painiketta ja rivinvaihto(",
  StyleBox["return",
    FontWeight->"Bold"],
  ")-painiketta.  Komennot suoritetaan ensin varmistamalla, ett\[ADoubleDot] \
kursori on ajettavassa solussa tai napsauttamalla hiirell\[ADoubleDot] \
ajettavan solun soluhakasesta solu aktiiviseksi ja sitten painamalla  ",
  StyleBox["shift",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["return",
    FontWeight->"Bold"],
  " yht\[ADoubleDot]aikaa. \n\n",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa yhdell\[ADoubleDot] istunnolla \
(k\[ADoubleDot]ytt\[ODoubleDot]kerralla) m\[ADoubleDot]\[ADoubleDot]ritellyt \
oletukset ovat (oletusarvoisesti) voimassa koko istunnon ajan ja kaikissa \
muistikirjoissa, jotka istunnon aikana avataan.  Jos m\[ADoubleDot]\
\[ADoubleDot]rittelet, ett\[ADoubleDot] x = 4,  niin x = 4 koko istunnon ajan \
kunnes toisin m\[ADoubleDot]\[ADoubleDot]rittelet tai tyhjenn\[ADoubleDot]t m\
\[ADoubleDot]\[ADoubleDot]rittelyn. Muuttujat voidaan tyhjent\[ADoubleDot]\
\[ADoubleDot] m\[ADoubleDot]\[ADoubleDot]rittelyist\[ADoubleDot] komennolla ",
  
  StyleBox["Clear[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ",
  StyleBox["muuttuja",
    FontSlant->"Italic"],
  " ",
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Kun annat k\[ADoubleDot]skyn ",
  StyleBox["Clear[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ",
  StyleBox["x ",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "  niin x on taas vailla erityist\[ADoubleDot] arvoa. M\[ADoubleDot]\
\[ADoubleDot]ritellyt symbolit  (esim. omien funktioiden nimet) tyhjennet\
\[ADoubleDot]\[ADoubleDot]n k\[ADoubleDot]skyll\[ADoubleDot] ",
  StyleBox["Remove[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["symboli",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". \n\nAritmeettiset operaatiot saadaan seuraavasti:\nyhteenlasku           \
                5+6\nv\[ADoubleDot]hennys                                5-6\n\
kertolasku                              5*6   tai  5  6     \
(v\[ADoubleDot]lily\[ODoubleDot]nti)\njakolasku                               \
 5/6\npotenssiin korotus                5^6       \n\nVakioilla on mm. \
seuraavat nimet: \npii                                                 Pi\n\
Neperin luku e                         E\nimaginaariyksikk\[ODoubleDot]       \
            I     \n\n",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa valmiit funktiot ja symbolit kirjoitetaan aina isolla alkukirjaimella \
( ",
  StyleBox["Solve, Sin, Cos, Table, Exp, Integrate",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "...) . Muuttujat tavataan selkeyden vuoksi kirjoittaa pienell\[ADoubleDot] \
alkukirjaimella. \n\n",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa erilaisilla sulkeilla on erilainen merkitys.\nKaarisulut   -----   \
Ilmoittavat laskuj\[ADoubleDot]rjestyksen (esim.",
  StyleBox["(x+2)*4/(6-3)",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ")\nAaltosulut    -----   Ryhmittelev\[ADoubleDot]t lausekkeita,  niill\
\[ADoubleDot] muodostetaan listat, sek\[ADoubleDot] ilmoitetaan mm. \
muuttujien ala-ja yl\[ADoubleDot]rajat (esim. ",
  StyleBox["nollalista = {0,0,0},{x,xmin,xmax}",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".)\nHakasulut   -----   Kaikkien funktioiden argumentit kirjoitetaan \
hakasulkuihin (esim. ",
  StyleBox["Sin[Pi],Plot[x^2,{x,1,5}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ").\n              \nM\[ADoubleDot]\[ADoubleDot]ritelt\[ADoubleDot]ess\
\[ADoubleDot] muuttujia ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa ei ehk\[ADoubleDot] haluta ohjelman turhaan toistavan  m\[ADoubleDot]\
\[ADoubleDot]ritelty\[ADoubleDot] muuttujaa tai tuloste voi olla niin pitk\
\[ADoubleDot] ettei sit\[ADoubleDot] haluta n\[ADoubleDot]yt\[ODoubleDot]lle. \
T\[ADoubleDot]ll\[ODoubleDot]in kirjoitetaan komennon per\[ADoubleDot]\
\[ADoubleDot]n puolipiste (;), niin ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " nielee sy\[ODoubleDot]tteen tulostamatta sit\[ADoubleDot]. Kokeile \
suorittaa seuraavat komennot, niin n\[ADoubleDot]et eron."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(\(\nx = 5176273843849\)\)], "Input"],

Cell[BoxData[
    \(\(x = 5176273843849; \)\)], "Input"],

Cell[TextData[{
  "Huomattavaa helpotusta komentojen sy\[ODoubleDot]tt\[ADoubleDot]miseen tuo \
",
  StyleBox["Mathematican ",
    FontSlant->"Italic"],
  "valmiit paletit, jotka sis\[ADoubleDot]lt\[ADoubleDot]v\[ADoubleDot]t \
funktioita ja vakioita ym. ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "n syntaksia. N\[ADoubleDot]iden palettien k\[ADoubleDot]ytt\[ODoubleDot] \
voi nopeuttaa komentojen kirjoittamista ja v\[ADoubleDot]hent\[ADoubleDot]\
\[ADoubleDot] kirjoitusvirheit\[ADoubleDot]. Paleteista voi olla hy\
\[ODoubleDot]ty\[ADoubleDot] silloinkin, kun funktioiden ja vakioiden nimet \
ole viel\[ADoubleDot] tarkasti muistissa. N\[ADoubleDot]m\[ADoubleDot] \
valmiit paletit l\[ODoubleDot]ytyv\[ADoubleDot]t ",
  StyleBox["File",
    FontWeight->"Bold"],
  "-valikon ",
  StyleBox["Palettes",
    FontWeight->"Bold"],
  "-valikosta. "
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Listat", "Subsubtitle",
  CellTags->"listat"],

Cell[TextData[{
  "Toisinaan  k\[ADoubleDot]sitell\[ADoubleDot]\[ADoubleDot]n samanaikaisesti \
tai samassa asiayhteydess\[ADoubleDot] useampia symboleja tai numeerisia \
arvoja. ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa ",
  StyleBox["listojen",
    FontFamily->"Helvetica"],
  " avulla voidaan k\[ADoubleDot]sitell\[ADoubleDot] suurempia datam\
\[ADoubleDot]\[ADoubleDot]ri\[ADoubleDot] kerralla. Listojen avulla voidaan \
ker\[ADoubleDot]t\[ADoubleDot] yhteen erilaisia objekteja. ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa vektorit ja matriisitkin ovat listoja. Muodostetaan seuraavassa \
muutama lista."
}], "Text",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(lista00 = {1, 5, 3, 7, 9}\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(lista01 = lista00 + lista00\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(lista02 = {a, b, c, d, e, f, g}\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(lista03 = x*lista02\)], "Input",
  FontSize->14],

Cell[TextData[{
  "\nSilloin kun lista voidaan muodostaa noudattaen jotakin s\[ADoubleDot]\
\[ADoubleDot]nt\[ODoubleDot]\[ADoubleDot] tai \
k\[ADoubleDot]ytt\[ADoubleDot]en hyv\[ADoubleDot]ksi jo olemassa olevaa \
listaa, hy\[ODoubleDot]dynnet\[ADoubleDot]\[ADoubleDot]n Table-funktiota. \
Funktion perusmuoto on: ",
  StyleBox["Table[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke ",
    FontSlant->"Italic"],
  StyleBox[",{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "i",
  StyleBox[",",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "imin",
  StyleBox[",",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "imax",
  StyleBox["}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(list1 = Table[i, {i, 1, 5}]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(list2 = Table[i^3, {i, 0, 3}]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(list3 = Table[h, {h, 2, 4,  .5}]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell[TextData[{
  "Listan n:nteen alkioon voidaan viitata komennolla ",
  StyleBox["lista[[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["n",
    FontSlant->"Italic"],
  StyleBox["]].",
    FontFamily->"Courier",
    FontWeight->"Bold"]
}], "Text",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(list3[\([4]\)]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell["\<\
Lista voi koostua useista sis\[ADoubleDot]kk\[ADoubleDot]isist\
\[ADoubleDot] listoista. Sis\[ADoubleDot]kk\[ADoubleDot]isi\[ADoubleDot] \
listoja voidaan my\[ODoubleDot]s purkaa.\
\>", "Text",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(list4 = {{{4, 3, 5}, {22, 4}}, {1}}\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(Flatten[list4]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(Flatten[list4, 1]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell["Listoja voidaan yhdistell\[ADoubleDot].", "Text",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(list5 = Join[list2, list3, {a, b, c}]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell["Seuraavassa poimitaan listan 3 ensimm\[ADoubleDot]ist\[ADoubleDot] \
alkiota.", "Text",
  FontSize->14,
  CellTags->"listat"],

Cell[BoxData[
    \(Take[list5, 3]\)], "Input",
  FontSize->14,
  CellTags->"listat"],

Cell[TextData[{
  "Listan pituus saadaan komennolla ",
  StyleBox["Length[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ",
  StyleBox["lista",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Length[list5]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Listan kaikki alkiot voidaan laskea yhteen komennolla ",
  StyleBox["Sum[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lista",
    FontSlant->"Italic"],
  StyleBox["[[i]],{i,1,Length[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lista",
    FontSlant->"Italic"],
  StyleBox["]}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Sum[list1[\([k]\)], {k, 1, Length[list1]}]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell[" Lausekkeiden nime\[ADoubleDot]minen ja sijoitusoperaatiot", 
  "Subsubtitle",
  CellTags->"sijoitusoperaatiot"],

Cell[TextData[{
  "Kun m\[ADoubleDot]\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n ",
  StyleBox["lausekkeita",
    FontFamily->"Helvetica"],
  ", on usein hyv\[ADoubleDot] nimet\[ADoubleDot] ne. Lauseketta voidaan k\
\[ADoubleDot]sitell\[ADoubleDot] toistamiseen nimell\[ADoubleDot] ilman, ett\
\[ADoubleDot] koko lauseketta on uudestaan kirjoitettava. M\[ADoubleDot]\
\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n muuttuja  f , jolle annetaan \
arvoksi lauseke : 2 ",
  Cell[BoxData[
      \(TraditionalForm\`x\^2\)]],
  "-3 ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  " + 12. "
}], "Text",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[BoxData[
    \(f = 2\ *x^2 - 3\ *x + 12\)], "Input",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[TextData[{
  "Huomaa, ett\[ADoubleDot] ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa kertomerkki voidaan ilmaista *-merkill\[ADoubleDot]  tai \
v\[ADoubleDot]lily\[ODoubleDot]nnill\[ADoubleDot]. \n\nJos nyt lausekkeen \
muuttujaan ( t\[ADoubleDot]ss\[ADoubleDot] x ) halutaan sijoittaa jokin arvo, \
k\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n korvausoperaattoreita",
  StyleBox[" /. ",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "ja ",
  StyleBox["->",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Lasketaan f :n arvoja muutamissa pisteiss\[ADoubleDot] ( 0, 7 ja -5) ."
}], "Text",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[BoxData[
    \(f /. x -> 0\)], "Input",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[BoxData[
    \(f /. x -> 7\)], "Input",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[BoxData[
    \(f /. x -> \(-5\)\)], "Input",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[TextData[{
  "\nRatkaistaessa yht\[ADoubleDot]l\[ODoubleDot]it\[ADoubleDot] funktiolla \
Solve, ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " antaa vastauksen aaltosulkeissa muodossa",
  StyleBox["{",
    FontFamily->"Courier"],
  StyleBox["muuttuja",
    FontSlant->"Italic"],
  " -> ",
  StyleBox["ratkaisu muuttujan suhteen",
    FontSlant->"Italic"],
  StyleBox["}",
    FontFamily->"Courier"],
  ". Ratkaistaan yht\[ADoubleDot]l\[ODoubleDot] x+1 = 0 ja noukitaan ratkaisu \
vastauksesta korvausoperaatiota k\[ADoubleDot]ytt\[ADoubleDot]en. "
}], "Text",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[BoxData[
    \(Solve[x + 1 == 0, x]\)], "Input",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[TextData[{
  "Vastaus on lista, jonka ensimm\[ADoubleDot]inen alkio on {x -> -1}. Listan \
ensimm\[ADoubleDot]inen alkio saadaan poimittua kirjoittamalla listan nimen \
per\[ADoubleDot]\[ADoubleDot]n",
  StyleBox["[[1]]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell[BoxData[
    \(\(Solve[x + 1 == 0, x]\)[\([1]\)]\)], "Input",
  FontSize->14,
  CellTags->"sijoitusoperaatiot"],

Cell["\<\
Saatu ratkaisu voidaan sijoittaa muuttujaan seuraavalla tavalla \
(%-merkill\[ADoubleDot] voitaisiin my\[ODoubleDot]s viitata edelliseen \
tulosteeseen.) :\
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \(x /. \(Solve[x + 1 == 0, x]\)[\([1]\)]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Mallit", "Subsubtitle"],

Cell["\<\
Kun m\[ADoubleDot]\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n \
malleja voidaan ajatella , ett\[ADoubleDot] malli(pattern) on se s\
\[ADoubleDot]\[ADoubleDot]nt\[ODoubleDot], jonka mukaan laskettu arvo liitet\
\[ADoubleDot]\[ADoubleDot]n muuttujaan x. Malleja \
m\[ADoubleDot]\[ADoubleDot]ritelt\[ADoubleDot]ess\[ADoubleDot] \
k\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n seuraavanlaista kaavaa.\
\>", 
  "Text",
  FontSize->14],

Cell[BoxData[
    \(g[x_] := 2\ x^2 - 3\ x + 12\)], "Input",
  FontSize->14],

Cell["\<\
 Huomioi :=-merkki ja _ (alaviiva) muuttujan per\[ADoubleDot]ss\
\[ADoubleDot]. \"= \"-merkill\[ADoubleDot] asetetaan symbolille ( heti ) \
suoraan jokin arvo, joka ei muutu. \":=\" -merkill\[ADoubleDot] (viiv\
\[ADoubleDot]stetty asetus) taas m\[ADoubleDot]\[ADoubleDot]ritell\
\[ADoubleDot]\[ADoubleDot]n s\[ADoubleDot]\[ADoubleDot]nt\[ODoubleDot], jolla \
symbolin arvo lasketaan (sitten kun lasketaan).
Lasketaan f(x) muutamissa pisteiss\[ADoubleDot] ( 0, 7 ja -5).\
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \(g[0]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(g[7]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(g[\(-5\)]\)], "Input",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Helpit ja linkit", "Subsubtitle"],

Cell[TextData[{
  "Funktioiden merkityksi\[ADoubleDot] ja lis\[ADoubleDot]tietoja niist\
\[ADoubleDot] saadaan kirjoittamalla : ",
  StyleBox["?Funktio",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Kahdella kysymysmerkill\[ADoubleDot] saa viel\[ADoubleDot] tarkempaa \
tietoa."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(\(?Sin\)\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(?? Sin\)], "Input",
  FontSize->14],

Cell[TextData[{
  "\nMy\[ODoubleDot]s muuttujiin asetetut arvot saadaan esiin joko \
kirjoittamalla ",
  StyleBox["muuttuja",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " tai ",
  StyleBox["?muuttuja",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Kaikkien muistikirjojen oikeassa yl\[ADoubleDot]laidassa on my\
\[ODoubleDot]s ",
  StyleBox["Help",
    FontWeight->"Bold"],
  "-valikko, josta voidaan avata ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "n Help-selain. "
}], "Text",
  FontSize->14]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
CellGrouping->Manual,
WindowSize->{439, 862},
WindowMargins->{{Automatic, 94}, {Automatic, 30}},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "listat"->{
    Cell[14477, 354, 51, 1, 47, "Subsubtitle",
      CellTags->"listat"],
    Cell[14531, 357, 697, 18, 130, "Text",
      CellTags->"listat"],
    Cell[16318, 423, 98, 3, 45, "Input",
      CellTags->"listat"],
    Cell[16419, 428, 100, 3, 45, "Input",
      CellTags->"listat"],
    Cell[16522, 433, 103, 3, 45, "Input",
      CellTags->"listat"],
    Cell[16628, 438, 306, 12, 33, "Text",
      CellTags->"listat"],
    Cell[16937, 452, 85, 3, 45, "Input",
      CellTags->"listat"],
    Cell[17025, 457, 241, 6, 52, "Text",
      CellTags->"listat"],
    Cell[17269, 465, 106, 3, 45, "Input",
      CellTags->"listat"],
    Cell[17378, 470, 85, 3, 45, "Input",
      CellTags->"listat"],
    Cell[17466, 475, 88, 3, 45, "Input",
      CellTags->"listat"],
    Cell[17557, 480, 93, 2, 33, "Text",
      CellTags->"listat"],
    Cell[17653, 484, 108, 3, 45, "Input",
      CellTags->"listat"],
    Cell[17764, 489, 131, 3, 33, "Text",
      CellTags->"listat"],
    Cell[17898, 494, 85, 3, 45, "Input",
      CellTags->"listat"]},
  "sijoitusoperaatiot"->{
    Cell[18895, 544, 118, 2, 47, "Subsubtitle",
      CellTags->"sijoitusoperaatiot"],
    Cell[19016, 548, 653, 17, 91, "Text",
      CellTags->"sijoitusoperaatiot"],
    Cell[19672, 567, 107, 3, 45, "Input",
      CellTags->"sijoitusoperaatiot"],
    Cell[19782, 572, 678, 18, 128, "Text",
      CellTags->"sijoitusoperaatiot"],
    Cell[20463, 592, 94, 3, 45, "Input",
      CellTags->"sijoitusoperaatiot"],
    Cell[20560, 597, 94, 3, 45, "Input",
      CellTags->"sijoitusoperaatiot"],
    Cell[20657, 602, 99, 3, 45, "Input",
      CellTags->"sijoitusoperaatiot"],
    Cell[20759, 607, 626, 19, 109, "Text",
      CellTags->"sijoitusoperaatiot"],
    Cell[21388, 628, 103, 3, 45, "Input",
      CellTags->"sijoitusoperaatiot"],
    Cell[21494, 633, 346, 10, 71, "Text",
      CellTags->"sijoitusoperaatiot"],
    Cell[21843, 645, 116, 3, 45, "Input",
      CellTags->"sijoitusoperaatiot"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"listat", 25236, 769},
  {"sijoitusoperaatiot", 26295, 800}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 228, 5, 58, "Subsubtitle"],
Cell[1940, 56, 64, 0, 64, "Subtitle"],
Cell[2007, 58, 74, 0, 55, "Section"],
Cell[2084, 60, 2332, 48, 413, "Text"],

Cell[CellGroupData[{
Cell[4441, 112, 67, 0, 55, "Section"],
Cell[4511, 114, 4289, 84, 871, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8837, 203, 38, 0, 55, "Section"],

Cell[CellGroupData[{
Cell[8900, 207, 91, 1, 58, "Subsubtitle"],
Cell[8994, 210, 4438, 109, 907, "Text"],
Cell[13435, 321, 56, 1, 59, "Input"],
Cell[13494, 324, 56, 1, 43, "Input"],
Cell[13553, 327, 887, 22, 147, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[14477, 354, 51, 1, 47, "Subsubtitle",
  CellTags->"listat"],
Cell[14531, 357, 697, 18, 130, "Text",
  CellTags->"listat"],
Cell[15231, 377, 74, 2, 45, "Input"],
Cell[15308, 381, 76, 2, 45, "Input"],
Cell[15387, 385, 80, 2, 45, "Input"],
Cell[15470, 389, 68, 2, 45, "Input"],
Cell[15541, 393, 774, 28, 109, "Text"],
Cell[16318, 423, 98, 3, 45, "Input",
  CellTags->"listat"],
Cell[16419, 428, 100, 3, 45, "Input",
  CellTags->"listat"],
Cell[16522, 433, 103, 3, 45, "Input",
  CellTags->"listat"],
Cell[16628, 438, 306, 12, 33, "Text",
  CellTags->"listat"],
Cell[16937, 452, 85, 3, 45, "Input",
  CellTags->"listat"],
Cell[17025, 457, 241, 6, 52, "Text",
  CellTags->"listat"],
Cell[17269, 465, 106, 3, 45, "Input",
  CellTags->"listat"],
Cell[17378, 470, 85, 3, 45, "Input",
  CellTags->"listat"],
Cell[17466, 475, 88, 3, 45, "Input",
  CellTags->"listat"],
Cell[17557, 480, 93, 2, 33, "Text",
  CellTags->"listat"],
Cell[17653, 484, 108, 3, 45, "Input",
  CellTags->"listat"],
Cell[17764, 489, 131, 3, 33, "Text",
  CellTags->"listat"],
Cell[17898, 494, 85, 3, 45, "Input",
  CellTags->"listat"],
Cell[17986, 499, 283, 13, 33, "Text"],
Cell[18272, 514, 62, 2, 45, "Input"],
Cell[18337, 518, 427, 17, 52, "Text"],
Cell[18767, 537, 91, 2, 64, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[18895, 544, 118, 2, 47, "Subsubtitle",
  CellTags->"sijoitusoperaatiot"],
Cell[19016, 548, 653, 17, 91, "Text",
  CellTags->"sijoitusoperaatiot"],
Cell[19672, 567, 107, 3, 45, "Input",
  CellTags->"sijoitusoperaatiot"],
Cell[19782, 572, 678, 18, 128, "Text",
  CellTags->"sijoitusoperaatiot"],
Cell[20463, 592, 94, 3, 45, "Input",
  CellTags->"sijoitusoperaatiot"],
Cell[20560, 597, 94, 3, 45, "Input",
  CellTags->"sijoitusoperaatiot"],
Cell[20657, 602, 99, 3, 45, "Input",
  CellTags->"sijoitusoperaatiot"],
Cell[20759, 607, 626, 19, 109, "Text",
  CellTags->"sijoitusoperaatiot"],
Cell[21388, 628, 103, 3, 45, "Input",
  CellTags->"sijoitusoperaatiot"],
Cell[21494, 633, 346, 10, 71, "Text",
  CellTags->"sijoitusoperaatiot"],
Cell[21843, 645, 116, 3, 45, "Input",
  CellTags->"sijoitusoperaatiot"],
Cell[21962, 650, 195, 5, 52, "Text"],
Cell[22160, 657, 87, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[22284, 664, 29, 0, 47, "Subsubtitle"],
Cell[22316, 666, 442, 9, 71, "Text"],
Cell[22761, 677, 76, 2, 45, "Input"],
Cell[22840, 681, 509, 9, 109, "Text"],
Cell[23352, 692, 53, 2, 45, "Input"],
Cell[23408, 696, 53, 2, 45, "Input"],
Cell[23464, 700, 58, 2, 45, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[23559, 707, 39, 0, 47, "Subsubtitle"],
Cell[23601, 709, 318, 9, 52, "Text"],
Cell[23922, 720, 57, 2, 45, "Input"],
Cell[23982, 724, 55, 2, 45, "Input"],
Cell[24040, 728, 531, 19, 109, "Text"]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

