(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     13569,        523]*)
(*NotebookOutlinePosition[     14260,        548]*)
(*  CellTagsIndexPosition[     14216,        544]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[{
  "  ",
  ButtonBox[" ",
    ButtonData:>{"paasivu.nb", None},
    ButtonStyle->"Hyperlink"],
  ButtonBox["\[UpArrow]",
    ButtonData:>{"paasivu.nb", None},
    ButtonStyle->"Hyperlink"],
  ButtonBox["P\[ADoubleDot]\[ADoubleDot]sivu",
    ButtonData:>{"paasivu.nb", None},
    ButtonStyle->"Hyperlink"]
}], "Subsubtitle"],

Cell[" 2.6 Lineaarialgebraa", "Subtitle"],

Cell[CellGroupData[{

Cell["Matriisit ja vektorit", "Section"],

Cell["\<\
Mathematicassa vektoreita k\[ADoubleDot]sitell\[ADoubleDot]\
\[ADoubleDot]n  kuten listoja. Aaltosulkeiden sis\[ADoubleDot]ll\[ADoubleDot] \
ovat vektorin komponentit pilkuilla erotettuina. Kesken\[ADoubleDot]\
\[ADoubleDot]n samansuuruisten vektoreiden yhteen- ja \
v\[ADoubleDot]hennyslasku tapahtuu tavalliseen tapaan alkioittain. \
Vektoreiden pistetulo saadaan . (piste) -merkill\[ADoubleDot].\
\>", "Text",
  FontSize->14],

Cell[BoxData[
    \({1, 2, 3} + {1, 2, 3}\)], "Input",
  FontSize->14],

Cell[BoxData[
    \({a, b, c} - {x, y, z}\)], "Input",
  FontSize->14],

Cell[BoxData[
    \({1, 2, 3} . {a, b, c}\)], "Input",
  FontSize->14],

Cell[TextData[{
  "\nPysty- ja vaakavektorit erotetaan siten,ett\[ADoubleDot] aaltosulkeiden \
sis\[ADoubleDot]\[ADoubleDot]n tulevat sulkeet edustavat vaakarivi\
\[ADoubleDot].  Jos halutaan 1\[Cross]3 -vektori, eli kolmen alkion pituinen \
vaakavektori, kirjoitetaan ",
  StyleBox["{{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["a,b,c",
    FontSlant->"Italic"],
  StyleBox["}}",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".  3\[Cross]1-vektori, (eli rivej\[ADoubleDot] kolme, sarakkeita 1) \
kirjoitetaan ",
  StyleBox["{{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["a",
    FontSlant->"Italic"],
  StyleBox["},{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["b",
    FontSlant->"Italic"],
  StyleBox["},{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["c",
    FontSlant->"Italic"],
  StyleBox["}}",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Tulostuksen ulkomuotoon vaikuttavia funktioita ovat ",
  StyleBox["MatrixForm[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["matriisi",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["StandardForm[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["matriisi",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Edellisill\[ADoubleDot] ei voida suorittaa \
mit\[ADoubleDot]\[ADoubleDot]n laskutoimituksia, sill\[ADoubleDot] ne ovat \
ainoastaan tulostusfunktioita. Haluttaessa n\[ADoubleDot]hd\[ADoubleDot] \
matriisin muoto voidaan my\[ODoubleDot]s kirjoittaa matriisin \
per\[ADoubleDot]\[ADoubleDot]n tulostuskomento: ",
  StyleBox["//MatrixForm",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \({{1, 2}, {2, 3}, {6, 6}} // MatrixForm\)], "Input",
  FontSize->14],

Cell[BoxData[
    \({{1}, {2}, {3}} . {{1, 2, 3}}\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Matriisi voidaan transponoida komennolla ",
  StyleBox["Transpose[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["matriisi",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \({{1, 2}, {1, 2}}\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Transpose[{{1, 2}, {1, 2}}]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Vektorin i:s  alkio saadaan k\[ADoubleDot]skyll\[ADoubleDot] ",
  StyleBox["Part[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["vektori, i",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", tai ",
  StyleBox["vektori",
    FontSlant->"Italic"],
  StyleBox["[[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "i",
  StyleBox["]]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Vektorista voidaan poimia n ensimm\[ADoubleDot]ist\[ADoubleDot] alkiota  \
komennolla",
  StyleBox[" Take[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["vektori,n",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " , ja n viimeist\[ADoubleDot] alkiota saadaan komennolla",
  StyleBox[" Take[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["vektori,-n",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Vektorin pituus saadaan komennolla ",
  StyleBox["Dimensions[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["vektori",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Muita hy\[ODoubleDot]dyllisi\[ADoubleDot] komentoja vektorin  k\
\[ADoubleDot]sittelyst\[ADoubleDot] l\[ODoubleDot]yd\[ADoubleDot]t  kohdasta  \
",
  ButtonBox["\"Listat\"",
    ButtonData:>{"kaytopas.nb", "listat"},
    ButtonStyle->"Hyperlink"],
  ", sill\[ADoubleDot] vektoreja voidaan k\[ADoubleDot]sitell\[ADoubleDot] \
kuten listoja yleisesti. "
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(v = {1, 2, 3}; \nTake[v, 2]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(Dimensions[v]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "\nHelp-selain: ",
  ButtonBox["Transpose",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Ominaisarvot ja ominaisvektorit", "Section"],

Cell[TextData[{
  "Matriisin ominaisarvot saadaan komennolla ",
  StyleBox["Eigenvalues[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["matriisi",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ."
}], "Text",
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(vek3 = {2, 2, 2}; \nvek4 = {3, 3, 3}; \nmat1 = {vek3, vek4, vek4}\n
    \)\)], "Input",
  FontSize->14],

Cell[TextData[{
  " vek3 voidaan kirjoittaa vaihtoehtoisesti, ",
  StyleBox["vek=Table[2,{i,1,3}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(omar = Eigenvalues[mat1]\)], "Input",
  FontSize->14]
}, Open  ]],

Cell[TextData[{
  "Matriisin ominaisvektorit  saadaan komennolla ",
  StyleBox["Eigenvectors[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["matriisi",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(omve = Eigenvectors[mat1]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Eigenvectors",
    ButtonStyle->"MainBookLink"],
  " , ",
  ButtonBox["Eigenvalues",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["K\[ADoubleDot]\[ADoubleDot]nteismatriisi ja determinantti", "Section"],

Cell[TextData[{
  "Yksikk\[ODoubleDot]matriisi kokoa n saadaan komennolla ",
  StyleBox["IdentityMatrix[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["n",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(IdentityMatrix[4]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Matriisin A k\[ADoubleDot]\[ADoubleDot]nteismatriisi B  saadaan komennolla \
",
  StyleBox["Inverse[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "A",
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Jos matriisi on singulaarinen, eik\[ADoubleDot] k\[ADoubleDot]\
\[ADoubleDot]nteimatriisia siis l\[ODoubleDot]ydy, antaa  ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " virheilmoituksen."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(m = {{8, 9}, {8, 7}}\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(i = Inverse[m]\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(t = m . i\)], "Input",
  FontSize->14],

Cell[BoxData[
    \(i . m\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Determinantti saadaan komennolla ",
  StyleBox["Det[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["matriisi",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(Det[m]\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Det",
    ButtonStyle->"MainBookLink"],
  " , ",
  ButtonBox["Inverse",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14]
}, Closed]],

Cell[CellGroupData[{

Cell["Lineaariset yht\[ADoubleDot]l\[ODoubleDot]ryhm\[ADoubleDot]t matriisien \
avulla", "Section"],

Cell[TextData[{
  "Olkoon meill\[ADoubleDot] seuraavat yht\[ADoubleDot]l\[ODoubleDot]t:\n ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          FormBox[
            RowBox[{
              FormBox[\(x\_1\),
                "TraditionalForm"], "+", \(3  x\_2\)}],
            "TraditionalForm"], "+", \(x\_3\)}], TraditionalForm]]],
  "+1=0\n ",
  Cell[BoxData[
      \(TraditionalForm\`\(\ x\_1 + 7  x\_2 + 6  x\_3 + 4 = 0\)\)]],
  "\.18\.1a\n  3",
  Cell[BoxData[
      \(TraditionalForm\`x\_1\)]],
  "-5",
  Cell[BoxData[
      \(TraditionalForm\`x\_2\)]],
  "+7",
  Cell[BoxData[
      \(TraditionalForm\`x\_3\)]],
  "+3=0 .\n  T\[ADoubleDot]m\[ADoubleDot] yht\[ADoubleDot]l\[ODoubleDot]ryhm\
\[ADoubleDot] on matriisimuodossa:\n  \n  ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            TagBox[
              RowBox[{"(", GridBox[{
                    {"1", "3", "1"},
                    {"3", "7", "6"},
                    {"3", "5", "7"}
                    }], ")"}],
              (MatrixForm[ #]&)], " ", 
            InterpretationBox[
              RowBox[{"(", GridBox[{
                    {\(x\_1\)},
                    {\(x\_2\)},
                    {\(x\_3\)}
                    }], ")"}],
              MatrixForm[ {
                Subscript[ x, 1], 
                Subscript[ x, 2], 
                Subscript[ x, 3]}]]}], "=", 
          InterpretationBox[
            RowBox[{"(", GridBox[{
                  {\(-1\)},
                  {\(-4\)},
                  {\(-3\)}
                  }], ")"}],
            MatrixForm[ {-1, -4, -3}]]}], TextForm]], "Text"],
  "\n",
  "Ratkaistaan yht\[ADoubleDot]l\[ODoubleDot]t matriisimuodossa sijoittamalla \
kertoimet matriisiin ja muuttujat vektoriin.\t\t"
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(m = {{1, 3, 1}, {3, 7, 6}, {3, 5, 7}}; \nv = {{x\_1}, {x\_2}, {x\_3}}; 
    \na = {{\(-1\)}, {\(-4\)}, {\(-3\)}}; \)], "Input",
  FontSize->14],

Cell[TextData[{
  "Matriisien m \[CenterDot] v ja a tulee siis olla yht\[ADoubleDot]suuret.\n\
Matriisi  m on k\[ADoubleDot]\[ADoubleDot]ntyv\[ADoubleDot], joten   v =  ",
  Cell[BoxData[
      \(TraditionalForm\`m\^\(-1\)\)]],
  "a."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(v = Inverse[m] . a\)], "Input",
  FontSize->14],

Cell[TextData[{
  "Katso my\[ODoubleDot]s kohta ",
  ButtonBox["Lineaariset yht\[ADoubleDot]l\[ODoubleDot]ryhm\[ADoubleDot]t.",
    ButtonData:>{"yhtratk.nb", "linyht"},
    ButtonStyle->"Hyperlink"]
}], "Text",
  FontSize->14],

Cell[TextData[{
  "Suoraviivaisempi tapa on k\[ADoubleDot]ytt\[ADoubleDot]\[ADoubleDot] ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "n valmista komentoa ",
  StyleBox["LinearSolve[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["matriisi m, vektori a",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", jolla saadaan vastaukseksi vektori x, joka ratkaisee yht\[ADoubleDot]l\
\[ODoubleDot]n mx = a."
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(LinearSolve[m, a]\)], "Input",
  FontSize->14]
}, Closed]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{222, Automatic}, {35, Automatic}},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 338, 11, 58, "Subsubtitle"],
Cell[2050, 62, 41, 0, 64, "Subtitle"],

Cell[CellGroupData[{
Cell[2116, 66, 40, 0, 55, "Section"],
Cell[2159, 68, 438, 8, 90, "Text"],
Cell[2600, 78, 70, 2, 45, "Input"],
Cell[2673, 82, 70, 2, 45, "Input"],
Cell[2746, 86, 70, 2, 45, "Input"],
Cell[2819, 90, 1840, 61, 185, "Text"],
Cell[4662, 153, 87, 2, 45, "Input"],
Cell[4752, 157, 78, 2, 45, "Input"],
Cell[4833, 161, 291, 12, 33, "Text"],
Cell[5127, 175, 65, 2, 45, "Input"],
Cell[5195, 179, 76, 2, 45, "Input"],
Cell[5274, 183, 1638, 57, 128, "Text"],
Cell[6915, 242, 76, 2, 64, "Input"],
Cell[6994, 246, 62, 2, 45, "Input"],
Cell[7059, 250, 122, 5, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[7218, 260, 50, 0, 35, "Section"],
Cell[7271, 262, 294, 12, 33, "Text"],

Cell[CellGroupData[{
Cell[7590, 278, 125, 3, 102, "Input"],
Cell[7718, 283, 185, 7, 33, "Text"],
Cell[7906, 292, 73, 2, 45, "Input"]
}, Open  ]],
Cell[7994, 297, 298, 12, 33, "Text"],
Cell[8295, 311, 74, 2, 45, "Input"],
Cell[8372, 315, 193, 8, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[8602, 328, 76, 0, 35, "Section"],
Cell[8681, 330, 302, 12, 33, "Text"],
Cell[8986, 344, 66, 2, 45, "Input"],
Cell[9055, 348, 481, 16, 52, "Text"],
Cell[9539, 366, 69, 2, 45, "Input"],
Cell[9611, 370, 63, 2, 45, "Input"],
Cell[9677, 374, 58, 2, 45, "Input"],
Cell[9738, 378, 54, 2, 45, "Input"],
Cell[9795, 382, 276, 12, 33, "Text"],
Cell[10074, 396, 55, 2, 45, "Input"],
Cell[10132, 400, 180, 8, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[10349, 413, 99, 1, 35, "Section"],
Cell[10451, 416, 1793, 56, 219, "Text"],
Cell[12247, 474, 163, 3, 83, "Input"],
Cell[12413, 479, 262, 7, 52, "Text"],
Cell[12678, 488, 67, 2, 45, "Input"],
Cell[12748, 492, 227, 6, 33, "Text"],
Cell[12978, 500, 506, 16, 71, "Text"],
Cell[13487, 518, 66, 2, 45, "Input"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

