(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     14158,        519]*)
(*NotebookOutlinePosition[     19180,        668]*)
(*  CellTagsIndexPosition[     18999,        658]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[ButtonBox["\[UpArrow]",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"],
ButtonBox["P\[ADoubleDot]\[ADoubleDot]sivu",
  ButtonData:>{"paasivu.nb", None},
  ButtonStyle->"Hyperlink"]], "Subsubtitle"],

Cell["2.2 Yht\[ADoubleDot]l\[ODoubleDot]iden ratkaiseminen", "Subtitle"],

Cell[CellGroupData[{

Cell["Polynomiyht\[ADoubleDot]l\[ODoubleDot]", "Section",
  CellTags->"polyht"],

Cell[CellGroupData[{

Cell["Polynomiyht\[ADoubleDot]l\[ODoubleDot]n algebrallinen ratkaiseminen", 
  "Subsubtitle",
  CellTags->"polyht"],

Cell[TextData[{
  StyleBox["Mathematicalla ",
    FontSlant->"Italic"],
  "voidaan ratkaista algebrallisesti kaikki polynomiyht\[ADoubleDot]l\
\[ODoubleDot]t, jotka ovat korkeintaan nelj\[ADoubleDot]tt\[ADoubleDot] \
astetta. Olkoon polynomi p1 seuraavanlainen:"
}], "Text",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(p1 = 
      x^3 + \((\(-1\)/4 - Sqrt[2])\)*x^2 + \((\(-3\)/4 + 1/4*Sqrt[2])\)*x + 
        3/4*Sqrt[2]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[TextData[{
  "Polynomiyht\[ADoubleDot]l\[ODoubleDot]n p1 = 0  eksakti algebrallinen \
ratkaisu saadaan komennolla ",
  StyleBox["Solve[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["yht\[ADoubleDot]l\[ODoubleDot]",
    FontSlant->"Italic"],
  StyleBox[", ",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  StyleBox["muuttuja",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Huomaa, ett\[ADoubleDot] komennon sis\[ADoubleDot]ll\[ADoubleDot] ( kun \
kyse ei ole arvon antamisesta vaan yht\[ADoubleDot]l\[ODoubleDot]st\
\[ADoubleDot] )  yht\[ADoubleDot]kuin-merkkej\[ADoubleDot] tarvitaan kaksi."
}], "Text",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(vast = Solve[p1 == 0, x]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell["Saatiin kolme erilaista ratkaisua:", "Text",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(vast[\([1]\)]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(vast[\([2]\)]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(vast[\([3]\)]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[TextData[{
  "Annetaan x:lle arvoksi kolmannen ratkaisun arvo ja lasketaan polynomin p1 \
(numeerinen)arvo kun x= ",
  Cell[BoxData[
      \(TraditionalForm\`\@2\)]],
  "."
}], "Text",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(x = x /. vast[\([3]\)]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(N[p1]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell["Tai suoraviivaisemmin:", "Text",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(N[p1 /. vast[\([3]\)]]\)], "Input",
  FontSize->14,
  CellTags->"polyht"]
}, Closed]],

Cell[CellGroupData[{

Cell["Polynomiyht\[ADoubleDot]l\[ODoubleDot]n numeerinen ratkaiseminen", 
  "Subsubtitle"],

Cell[TextData[{
  "Polynomiyht\[ADoubleDot]l\[ODoubleDot]n  juurien numeeriseen \
ratkaisemiseen on olemassa funktio ",
  StyleBox["NSolve[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["yht\[ADoubleDot]l\[ODoubleDot], muuttuja",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". (Jos yht\[ADoubleDot]l\[ODoubleDot] on kovin monimutkainen on k\
\[ADoubleDot]ytett\[ADoubleDot]v\[ADoubleDot] funktiota ",
  StyleBox["FindRoot",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ".) Argumentiksi kirjoitetaan yht\[ADoubleDot]l\[ODoubleDot] ja muuttuja, \
jonka suhteen ratkaistaan. Seuraavassa ratkaistaan yht\[ADoubleDot]l\
\[ODoubleDot] p1 = 0."
}], "Text",
  FontSize->14,
  CellTags->{"nsolve", "polyht"}],

Cell[BoxData[
    \(p1 = 
      x^3 + \((\(-1\)/4 - Sqrt[2])\)*x^2 + \((\(-3\)/4 + 1/4*Sqrt[2])\)*x + 
        3/4*Sqrt[2]\)], "Input"],

Cell[BoxData[
    \(NSolve[p1 == 0, x]\)], "Input",
  FontSize->14,
  CellTags->{"nsolve", "polyht"}],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["FindRoot",
    ButtonStyle->"MainBookLink"]
}], "Text",
  FontSize->14],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " antaa numeeriset ratkaisut oletusarvoisesti kuuden desimaalin \
tarkkuudella. Tarkkuutta voidaan s\[ADoubleDot]\[ADoubleDot]t\[ADoubleDot]\
\[ADoubleDot] komennolla ",
  StyleBox["N[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["lauseke, n",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", kun halutaan vastaus n:n numeron tarkkuudella."
}], "Text",
  FontSize->14,
  CellTags->{"nsolve", "polyht"}],

Cell[BoxData[
    \(N[Pi, 4]\)], "Input",
  FontSize->14,
  CellTags->{"nsolve", "polyht"}],

Cell[BoxData[
    \(N[E, 10]\)], "Input",
  FontSize->14,
  CellTags->{"nsolve", "polyht"}]
}, Closed]],

Cell[CellGroupData[{

Cell["Reaaliset ja kompleksiset juuret", "Subsubtitle",
  CellTags->"polyht"],

Cell["\<\
M\[ADoubleDot]\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n \
sellainen polynomi p2,  ett\[ADoubleDot] yht\[ADoubleDot]l\[ODoubleDot]ll\
\[ADoubleDot] p2 = 0  on sek\[ADoubleDot] reaalisia ett\[ADoubleDot] \
kompleksisia juuria.\
\>", "Text",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(p2 = 
      x^5 - 3*x^4 + \((1 + Sqrt[2])\)*x^3 + \((\(-3\) - 3*Sqrt[2])\)*x^2 + 
        x*Sqrt[2] - 3*Sqrt[2]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[TextData[{
  "Komento ",
  StyleBox["Solve[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ja ",
  StyleBox["NSolve[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " ratkaisevat mahdollisuuksien mukaan yht\[ADoubleDot]l\[ODoubleDot]n \
kaikki juuret. Ensimm\[ADoubleDot]inen antaa tulokset eksaktissa ja toinen \
numeerisessa muodossa."
}], "Text",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(Solve[p2 == 0]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[BoxData[
    \(NSolve[p2 == 0]\)], "Input",
  FontSize->14,
  CellTags->"polyht"],

Cell[TextData[{
  "Help-selain: ",
  ButtonBox["Solve",
    ButtonStyle->"MainBookLink"],
  " ,  ",
  ButtonBox["NSolve",
    ButtonStyle->"MainBookLink"]
}], "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Lineaarinen yht\[ADoubleDot]l\[ODoubleDot]ryhm\[ADoubleDot]", "Section",
  CellTags->"linyht"],

Cell[CellGroupData[{

Cell["Lineaarisen yht\[ADoubleDot]l\[ODoubleDot]ryhm\[ADoubleDot]n \
ratkaiseminen", "Subsubtitle",
  CellTags->"linyht"],

Cell[TextData[{
  "Lineaarisen yht\[ADoubleDot]l\[ODoubleDot]ryhm\[ADoubleDot]n \
algebralliseen ratkaisemiseen k\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n \
edell\[ADoubleDot] esitelty\[ADoubleDot] komentoa ",
  StyleBox["Solve[{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox[
  "yht\[ADoubleDot]l\[ODoubleDot]1, yht\[ADoubleDot]l\[ODoubleDot]2, ...",
    FontSlant->"Italic"],
  StyleBox["},{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["muuttuja1, muuttuja2,...",
    FontSlant->"Italic"],
  StyleBox["}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ". Hakasulkeiden sis\[ADoubleDot]isiin ensimm\[ADoubleDot]isiin \
aaltosulkeisiin tulee ratkaistavat yht\[ADoubleDot]l\[ODoubleDot]t ja \
seuraaviin muuttujat joiden suhteen ratkaistaan."
}], "Text",
  FontSize->14,
  CellTags->"linyht"],

Cell[BoxData[
    \(Solve[{x + y + z == 4, x - 2*y + 3*z == 0, 3*x + Sqrt[3]*y - z == 2}, {
        x, y, z}]\)], "Input",
  FontSize->14,
  CellTags->"linyht"],

Cell["Yht\[ADoubleDot]l\[ODoubleDot]ryhm\[ADoubleDot] voi sis\[ADoubleDot]lt\
\[ADoubleDot]\[ADoubleDot] my\[ODoubleDot]s tuntemattomia vakioita:", "Text",
  FontSize->14,
  CellTags->"linyht"],

Cell[BoxData[
    \(Solve[{x + y + z == 4, x - a*y + b*z == 0, c*x + Sqrt[3]*y - z == 2}, {
        x, y, z}]\)], "Input",
  FontSize->14,
  CellTags->"linyht"],

Cell[TextData[{
  "Lineaarisia yht\[ADoubleDot]l\[ODoubleDot]ryhmi\[ADoubleDot] voidaan \
ratkaista numeerisesti , funktiolla ",
  StyleBox["NSolve[{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox[
  "yht\[ADoubleDot]l\[ODoubleDot]1, yht\[ADoubleDot]l\[ODoubleDot]2, ...",
    FontSlant->"Italic"],
  StyleBox["},{",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["muuttuja1, muuttuja2,...",
    FontSlant->"Italic"],
  StyleBox["}]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "."
}], "Text",
  FontSize->14,
  CellTags->"linyht"],

Cell[BoxData[
    \(NSolve[{x + y + z == 4, x - 2*y + 3*z == 0, 3*x + Sqrt[3]*y - z == 2}, {
        x, y, z}]\)], "Input",
  FontSize->14,
  CellTags->"linyht"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Iteraatiomenetelm\[ADoubleDot]", "Section",
  CellTags->"findroot"],

Cell[CellGroupData[{

Cell["Yhdistetyt funktiot", "Subsubtitle",
  CellTags->"findroot"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa funktioita voidaan rekursiivisesti yhdist\[ADoubleDot]\[ADoubleDot] \
komennolla ",
  StyleBox["Nest[",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  StyleBox["funktio, x, n",
    FontSlant->"Italic"],
  StyleBox["]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  ", miss\[ADoubleDot] x on muuttuja ja n kertoo kuinka monta kertaa \
funktiota sovelletaan. Esim. olkoon f(x)=x\[CenterDot]x  ."
}], "Text",
  FontSize->14,
  CellTags->"findroot"],

Cell[BoxData[
    \(f[x_] := x*x\)], "Input",
  FontSize->14,
  CellTags->"findroot"],

Cell[BoxData[
    \(f[f[f[x]]]\)], "Input",
  FontSize->14,
  CellTags->"findroot"],

Cell[TextData[{
  "K\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n nyt ",
  StyleBox["Nest",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  "-komentoa niin saadaan sama tulos kuin edell\[ADoubleDot] :"
}], "Text",
  FontSize->14,
  CellTags->"findroot"],

Cell[BoxData[
    \(Nest[f, x, 3]\)], "Input",
  FontSize->14,
  CellTags->"findroot"]
}, Closed]],

Cell[CellGroupData[{

Cell["Newtonin iteraatiomenetelm\[ADoubleDot]", "Subsubtitle",
  CellTags->{"findroot", "iteraatio"}],

Cell[TextData[{
  "Koetetaan ratkaista yht\[ADoubleDot]l\[ODoubleDot]  ",
  Cell[BoxData[
      \(TextForm\`e\^\((\(-x\))\) = sin \((x)\)\)]],
  " soveltaen Newtonin iteraatiomenetelm\[ADoubleDot]\[ADoubleDot]. \
Sinifunktio on jaksollinen ja yht\[ADoubleDot]l\[ODoubleDot]ll\[ADoubleDot] \
on \[ADoubleDot]\[ADoubleDot]ret\[ODoubleDot]n m\[ADoubleDot]\[ADoubleDot]r\
\[ADoubleDot] ratkaisuja joten se juuri jota kohti iteroidaan, riippuu  \
muuttujan alkuarvon valinnasta.  Newtonin \
menetelm\[ADoubleDot]ss\[ADoubleDot] ratkaistaan funktion nollakohtaa, joten \
muokataan edellinen yht\[ADoubleDot]l\[ODoubleDot] muotoon Sin(x)-",
  Cell[BoxData[
      \(TextForm\`e\^\((\(-x\))\)\)]],
  " = 0. Iterointi tapahtuu kaavalla : ",
  Cell[BoxData[
      \(TextForm
      \`\(x\_n = 
        x\_\(n - 1\) - f \((x\_\(n - 1\))\)/f' \(\((x\_\(n - 1\))\) . \)\ 
      \)\)]],
  Cell[BoxData[
      \(TextForm
      \`Alkuarvoksi\ valitaan\ x\_0 = 
        3.14159 . \ K\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n\ nyt\ 
          hyv\[ADoubleDot]ksi\ edellisen\ kohdan\ tietoja\ funktioiden\ 
          \(yhdist\[ADoubleDot]misest\[ADoubleDot] . \)\)]]
}], "Text",
  FontSize->14],

Cell[BoxData[
    \(f[x_] := Sin\ [x] - Exp[\(-x\)]\)], "Input"],

Cell["Funktion derivaatta:", "Text",
  FontSize->14],

Cell[BoxData[
    \(D[f[x], x]\)], "Input"],

Cell[BoxData[
    \(df[x_] := Cos[x] + Exp[\(-x\)]\)], "Input"],

Cell["Iteroitava funktio:", "Text",
  FontSize->14],

Cell[BoxData[
    \(g[x_] := x - f[x]/df[x]\)], "Input"],

Cell[BoxData[
    \(\(x = 3.14159; \)\)], "Input"],

Cell[BoxData[
    \(Nest[g, x, 10]\)], "Input"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "ssa komento ",
  StyleBox["FindRoot[]",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " k\[ADoubleDot]ytt\[ADoubleDot]\[ADoubleDot] mm. Newtonin menetelm\
\[ADoubleDot]\[ADoubleDot] juurien numeeriseen ratkaisemiseen. \
K\[ADoubleDot]ytet\[ADoubleDot]\[ADoubleDot]n t\[ADoubleDot]t\[ADoubleDot] \
edell\[ADoubleDot] mainitun yht\[ADoubleDot]l\[ODoubleDot]n ratkaisemiseen \
aloittaen iteroinnin  pisteest\[ADoubleDot] x = 3.14159 :"
}], "Text",
  FontSize->14,
  CellTags->{"findroot", "iteraatio"}],

Cell[BoxData[
    \(f = Sin[x] - Exp[\(-x\)]\)], "Input",
  FontSize->14,
  CellTags->{"findroot", "iteraatio"}],

Cell[BoxData[
    \(FindRoot[f == 0, {x, 3.14159}]\)], "Input",
  FontSize->14,
  CellTags->{"findroot", "iteraatio"}]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"X 3.0",
ScreenRectangle->{{0, 1024}, {0, 768}},
CellGrouping->Manual,
WindowSize->{588, 814},
WindowMargins->{{Automatic, 97}, {Automatic, 39}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"PaperSize"->{597.562, 842.375},
"PaperOrientation"->"Portrait",
"Magnification"->1},
StyleDefinitions -> "style1.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "polyht"->{
    Cell[2037, 60, 79, 1, 55, "Section",
      CellTags->"polyht"],
    Cell[2141, 65, 115, 2, 58, "Subsubtitle",
      CellTags->"polyht"],
    Cell[2259, 69, 312, 8, 52, "Text",
      CellTags->"polyht"],
    Cell[2574, 79, 173, 5, 64, "Input",
      CellTags->"polyht"],
    Cell[2750, 86, 724, 21, 71, "Text",
      CellTags->"polyht"],
    Cell[3477, 109, 95, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[3575, 114, 88, 2, 33, "Text",
      CellTags->"polyht"],
    Cell[3666, 118, 84, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[3753, 123, 84, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[3840, 128, 84, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[3927, 133, 227, 8, 52, "Text",
      CellTags->"polyht"],
    Cell[4157, 143, 93, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[4253, 148, 76, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[4332, 153, 76, 2, 33, "Text",
      CellTags->"polyht"],
    Cell[4411, 157, 93, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[4634, 168, 779, 21, 90, "Text",
      CellTags->{"nsolve", "polyht"}],
    Cell[5554, 196, 101, 3, 45, "Input",
      CellTags->{"nsolve", "polyht"}],
    Cell[5780, 208, 542, 17, 71, "Text",
      CellTags->{"nsolve", "polyht"}],
    Cell[6325, 227, 91, 3, 45, "Input",
      CellTags->{"nsolve", "polyht"}],
    Cell[6419, 232, 91, 3, 45, "Input",
      CellTags->{"nsolve", "polyht"}],
    Cell[6547, 240, 77, 1, 47, "Subsubtitle",
      CellTags->"polyht"],
    Cell[6627, 243, 291, 7, 52, "Text",
      CellTags->"polyht"],
    Cell[6921, 252, 182, 5, 64, "Input",
      CellTags->"polyht"],
    Cell[7106, 259, 413, 14, 52, "Text",
      CellTags->"polyht"],
    Cell[7522, 275, 85, 3, 45, "Input",
      CellTags->"polyht"],
    Cell[7610, 280, 86, 3, 45, "Input",
      CellTags->"polyht"]},
  "nsolve"->{
    Cell[4634, 168, 779, 21, 90, "Text",
      CellTags->{"nsolve", "polyht"}],
    Cell[5554, 196, 101, 3, 45, "Input",
      CellTags->{"nsolve", "polyht"}],
    Cell[5780, 208, 542, 17, 71, "Text",
      CellTags->{"nsolve", "polyht"}],
    Cell[6325, 227, 91, 3, 45, "Input",
      CellTags->{"nsolve", "polyht"}],
    Cell[6419, 232, 91, 3, 45, "Input",
      CellTags->{"nsolve", "polyht"}]},
  "linyht"->{
    Cell[7914, 298, 100, 1, 35, "Section",
      CellTags->"linyht"],
    Cell[8039, 303, 121, 2, 58, "Subsubtitle",
      CellTags->"linyht"],
    Cell[8163, 307, 843, 23, 90, "Text",
      CellTags->"linyht"],
    Cell[9009, 332, 160, 4, 83, "Input",
      CellTags->"linyht"],
    Cell[9172, 338, 193, 3, 33, "Text",
      CellTags->"linyht"],
    Cell[9368, 343, 160, 4, 83, "Input",
      CellTags->"linyht"],
    Cell[9531, 349, 576, 20, 52, "Text",
      CellTags->"linyht"],
    Cell[10110, 371, 161, 4, 83, "Input",
      CellTags->"linyht"]},
  "findroot"->{
    Cell[10320, 381, 73, 1, 35, "Section",
      CellTags->"findroot"],
    Cell[10418, 386, 66, 1, 58, "Subsubtitle",
      CellTags->"findroot"],
    Cell[10487, 389, 535, 17, 71, "Text",
      CellTags->"findroot"],
    Cell[11025, 408, 85, 3, 45, "Input",
      CellTags->"findroot"],
    Cell[11113, 413, 83, 3, 45, "Input",
      CellTags->"findroot"],
    Cell[11199, 418, 258, 8, 33, "Text",
      CellTags->"findroot"],
    Cell[11460, 428, 86, 3, 45, "Input",
      CellTags->"findroot"],
    Cell[11583, 436, 101, 1, 47, "Subsubtitle",
      CellTags->{"findroot", "iteraatio"}],
    Cell[13316, 491, 578, 14, 71, "Text",
      CellTags->{"findroot", "iteraatio"}],
    Cell[13897, 507, 112, 3, 45, "Input",
      CellTags->{"findroot", "iteraatio"}],
    Cell[14012, 512, 118, 3, 45, "Input",
      CellTags->{"findroot", "iteraatio"}]},
  "iteraatio"->{
    Cell[11583, 436, 101, 1, 47, "Subsubtitle",
      CellTags->{"findroot", "iteraatio"}],
    Cell[13316, 491, 578, 14, 71, "Text",
      CellTags->{"findroot", "iteraatio"}],
    Cell[13897, 507, 112, 3, 45, "Input",
      CellTags->{"findroot", "iteraatio"}],
    Cell[14012, 512, 118, 3, 45, "Input",
      CellTags->{"findroot", "iteraatio"}]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"polyht", 14942, 541},
  {"nsolve", 16774, 594},
  {"linyht", 17187, 605},
  {"findroot", 17756, 622},
  {"iteraatio", 18623, 645}
  }
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 228, 5, 58, "Subsubtitle"],
Cell[1940, 56, 72, 0, 64, "Subtitle"],

Cell[CellGroupData[{
Cell[2037, 60, 79, 1, 55, "Section",
  CellTags->"polyht"],

Cell[CellGroupData[{
Cell[2141, 65, 115, 2, 58, "Subsubtitle",
  CellTags->"polyht"],
Cell[2259, 69, 312, 8, 52, "Text",
  CellTags->"polyht"],
Cell[2574, 79, 173, 5, 64, "Input",
  CellTags->"polyht"],
Cell[2750, 86, 724, 21, 71, "Text",
  CellTags->"polyht"],
Cell[3477, 109, 95, 3, 45, "Input",
  CellTags->"polyht"],
Cell[3575, 114, 88, 2, 33, "Text",
  CellTags->"polyht"],
Cell[3666, 118, 84, 3, 45, "Input",
  CellTags->"polyht"],
Cell[3753, 123, 84, 3, 45, "Input",
  CellTags->"polyht"],
Cell[3840, 128, 84, 3, 45, "Input",
  CellTags->"polyht"],
Cell[3927, 133, 227, 8, 52, "Text",
  CellTags->"polyht"],
Cell[4157, 143, 93, 3, 45, "Input",
  CellTags->"polyht"],
Cell[4253, 148, 76, 3, 45, "Input",
  CellTags->"polyht"],
Cell[4332, 153, 76, 2, 33, "Text",
  CellTags->"polyht"],
Cell[4411, 157, 93, 3, 45, "Input",
  CellTags->"polyht"]
}, Closed]],

Cell[CellGroupData[{
Cell[4541, 165, 90, 1, 47, "Subsubtitle"],
Cell[4634, 168, 779, 21, 90, "Text",
  CellTags->{"nsolve", "polyht"}],
Cell[5416, 191, 135, 3, 59, "Input"],
Cell[5554, 196, 101, 3, 45, "Input",
  CellTags->{"nsolve", "polyht"}],
Cell[5658, 201, 119, 5, 33, "Text"],
Cell[5780, 208, 542, 17, 71, "Text",
  CellTags->{"nsolve", "polyht"}],
Cell[6325, 227, 91, 3, 45, "Input",
  CellTags->{"nsolve", "polyht"}],
Cell[6419, 232, 91, 3, 45, "Input",
  CellTags->{"nsolve", "polyht"}]
}, Closed]],

Cell[CellGroupData[{
Cell[6547, 240, 77, 1, 47, "Subsubtitle",
  CellTags->"polyht"],
Cell[6627, 243, 291, 7, 52, "Text",
  CellTags->"polyht"],
Cell[6921, 252, 182, 5, 64, "Input",
  CellTags->"polyht"],
Cell[7106, 259, 413, 14, 52, "Text",
  CellTags->"polyht"],
Cell[7522, 275, 85, 3, 45, "Input",
  CellTags->"polyht"],
Cell[7610, 280, 86, 3, 45, "Input",
  CellTags->"polyht"],
Cell[7699, 285, 166, 7, 32, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7914, 298, 100, 1, 35, "Section",
  CellTags->"linyht"],

Cell[CellGroupData[{
Cell[8039, 303, 121, 2, 58, "Subsubtitle",
  CellTags->"linyht"],
Cell[8163, 307, 843, 23, 90, "Text",
  CellTags->"linyht"],
Cell[9009, 332, 160, 4, 83, "Input",
  CellTags->"linyht"],
Cell[9172, 338, 193, 3, 33, "Text",
  CellTags->"linyht"],
Cell[9368, 343, 160, 4, 83, "Input",
  CellTags->"linyht"],
Cell[9531, 349, 576, 20, 52, "Text",
  CellTags->"linyht"],
Cell[10110, 371, 161, 4, 83, "Input",
  CellTags->"linyht"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[10320, 381, 73, 1, 35, "Section",
  CellTags->"findroot"],

Cell[CellGroupData[{
Cell[10418, 386, 66, 1, 58, "Subsubtitle",
  CellTags->"findroot"],
Cell[10487, 389, 535, 17, 71, "Text",
  CellTags->"findroot"],
Cell[11025, 408, 85, 3, 45, "Input",
  CellTags->"findroot"],
Cell[11113, 413, 83, 3, 45, "Input",
  CellTags->"findroot"],
Cell[11199, 418, 258, 8, 33, "Text",
  CellTags->"findroot"],
Cell[11460, 428, 86, 3, 45, "Input",
  CellTags->"findroot"]
}, Closed]],

Cell[CellGroupData[{
Cell[11583, 436, 101, 1, 47, "Subsubtitle",
  CellTags->{"findroot", "iteraatio"}],
Cell[11687, 439, 1176, 26, 175, "Text"],
Cell[12866, 467, 64, 1, 43, "Input"],
Cell[12933, 470, 52, 1, 33, "Text"],
Cell[12988, 473, 43, 1, 43, "Input"],
Cell[13034, 476, 63, 1, 43, "Input"],
Cell[13100, 479, 51, 1, 33, "Text"],
Cell[13154, 482, 56, 1, 43, "Input"],
Cell[13213, 485, 50, 1, 43, "Input"],
Cell[13266, 488, 47, 1, 43, "Input"],
Cell[13316, 491, 578, 14, 71, "Text",
  CellTags->{"findroot", "iteraatio"}],
Cell[13897, 507, 112, 3, 45, "Input",
  CellTags->{"findroot", "iteraatio"}],
Cell[14012, 512, 118, 3, 45, "Input",
  CellTags->{"findroot", "iteraatio"}]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

